* vim: ts=3:sw=3:expandtab:syntax=form

#define R2PREFACTOR "1"

#procedure ReduceDiagramR2(DIAG)
   #call shiftmomenta(`DIAG')
   Argument Spab, Spaa, Spbb, Spba;
      #Call shiftmomenta(`DIAG')
   EndArgument;
   Id fDUMMY1?{Spaa,Spab,Spbb,Spba}(vDUMMY1?, iDUMMY2?, vDUMMY3?) =
      fDUMMY1(vDUMMY1, iDUMMY2, vDUMMY3);
   ToTensor Functions, Q, ptens;
   If(count(ptens,1)==0) Multiply ptens;

   #switch `DIAG'
*---#[ Diagram group 0:
   #case 9
   #case 10
   #case 11
   #case 12
      #define r1 "k7+k8"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "0"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "-k3-k4"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k3-k6-k5-k4"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 0:
*---#[ Diagram group 1:
   #case 1
   #case 2
   #case 3
   #case 4
      #define r1 "k7+k8+k5+k6"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "k7+k8"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "0"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k3-k4"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 1:
*---#[ Diagram group 2:
   #case 5
   #case 6
   #case 7
   #case 8
   #case 17
   #case 18
   #case 19
   #case 20
   #case 21
   #case 22
   #case 23
   #case 24
   #case 25
   #case 26
   #case 27
   #case 28
   #case 29
   #case 30
   #case 31
   #case 32
      #define r1 "k7+k8+k5+k6"
      #define m1sq "(0)^2+i_*(0)^2"
      #define r2 "k6+k5"
      #define m2sq "(0)^2+i_*(0)^2"
      #define r3 "0"
      #define m3sq "(0)^2+i_*(0)^2"
      #define r4 "-k3-k4"
      #define m4sq "(0)^2+i_*(0)^2"
      #break
*---#] Diagram group 2:
   #endswitch
   #switch `DIAG'
*---#[ Diagram group 0:
*------#[ Diagram 9:
   #case 9
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 9:
*------#[ Diagram 10:
   #case 10
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 10:
*------#[ Diagram 11:
   #case 11
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 11:
*------#[ Diagram 12:
   #case 12
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 12:
*---#] Diagram group 0:
*---#[ Diagram group 1:
*------#[ Diagram 1:
   #case 1
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 1:
*------#[ Diagram 2:
   #case 2
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 2:
*------#[ Diagram 3:
   #case 3
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 3:
*------#[ Diagram 4:
   #case 4
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 4:
*---#] Diagram group 1:
*---#[ Diagram group 2:
*------#[ Diagram 5:
   #case 5
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 5:
*------#[ Diagram 6:
   #case 6
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 6:
*------#[ Diagram 7:
   #case 7
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 7:
*------#[ Diagram 8:
   #case 8
      #call ReduceR2N4(`r1',`r2',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 8:
*------#[ Diagram 17:
   #case 17
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 17:
*------#[ Diagram 18:
   #case 18
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 18:
*------#[ Diagram 19:
   #case 19
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 19:
*------#[ Diagram 20:
   #case 20
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 20:
*------#[ Diagram 21:
   #case 21
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 21:
*------#[ Diagram 22:
   #case 22
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 22:
*------#[ Diagram 23:
   #case 23
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 23:
*------#[ Diagram 24:
   #case 24
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 24:
*------#[ Diagram 25:
   #case 25
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 25:
*------#[ Diagram 26:
   #case 26
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 26:
*------#[ Diagram 27:
   #case 27
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 27:
*------#[ Diagram 28:
   #case 28
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 28:
*------#[ Diagram 29:
   #case 29
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 29:
*------#[ Diagram 30:
   #case 30
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 30:
*------#[ Diagram 31:
   #case 31
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 31:
*------#[ Diagram 32:
   #case 32
      #call ReduceR2N3(`r1',`r3',`r4')
      #redefine R2PREFACTOR "-Nfrat"
      #break
*------#] Diagram 32:
*---#] Diagram group 2:
   #endswitch

   Id Qt2 = 0;
   Id eps = 0;

   Id fDUMMY1?{Spaa,Spab,Spbb,Spba}(vDUMMY1?, 0, vDUMMY3?) = 0;
   #call SpContractMetrics
   #call SpContract
   #call SpOpen(`LIGHTLIKE')
#endprocedure
