module     P5B_uux_ddx_diagramsh2l0
   ! file:      /afs/ipp-garching.mpg.de/home/g/gdh/Golem/gosam/working/P5B_uux_
   ! ddx/helicity2/diagramsl0.f90
   ! generator: haggies (1.1)
   use P5B_uux_ddx_color, only: numcs
   use P5B_uux_ddx_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use P5B_uux_ddx_model
      use P5B_uux_ddx_kinematics
      use P5B_uux_ddx_color
      use P5B_uux_ddx_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use P5B_uux_ddx_accu, only: sorted_sum
      use P5B_uux_ddx_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(18,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      real(ki) :: t94
      real(ki) :: t95
      real(ki) :: t96
      real(ki) :: t97
      real(ki) :: t98
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      t94 = mW*mW
      t1 = i_*mW*wW
      t2 = t1+es56-t94
      t1 = t1+es78-t94
      t94 = es3456+es78-(es781+es12)
      t95 = es234+es56+es78-(es781+es1234)
      t96 = gW*gW
      t97 = t96*t96
      t3 = t97*spak2k4*spbk3k1*spbk6k1*spbk8k2
      t4 = t1*t2
      t5 = t4*t94*t95
      t6 = t5*es34
      t7 = spak4k7*spbk3k1
      t8 = t7*spbk6k1
      t9 = t8*t97*spbk8k7
      t10 = t97*spak2k4*spbk6k1*spbk6k3*spbk8k2
      t11 = t97*spak4k7*spbk6k1*spbk6k3*spbk8k7
      t5 = t5*NC*es34
      diagrams(14, :) = (spak2k7*i_*TR*(8.0_ki)*(((-(t11/t5+t10/t5))*spak5k6+(t3&
      &/t5+t9/t5)*spak1k5)*c1+((t10/t6+t11/t6)*spak5k6+(-(t9/t6+t3/t6))*spak1k5)&
      &*c2))
      t98 = es1234+es34-(es234+es12)
      t3 = spak2k5*spbk3k1
      t5 = t3*t97*spbk6k1*spbk8k2
      t6 = t4*t98
      t9 = t6*t94
      t10 = t9*es34
      t11 = spak5k7*spbk3k1
      t12 = t11*t97*spbk6k1*spbk8k7
      t13 = t3*t97*spbk6k3*spbk8k2
      t11 = t11*t97*spbk6k3*spbk8k7
      t9 = t9*NC*es34
      diagrams(12, :) = (spak2k7*i_*TR*(8.0_ki)*(((t11/t10+t13/t10)*spak3k4+(-(t&
      &5/t10+t12/t10))*spak1k4)*c2+((-(t13/t9+t11/t9))*spak3k4+(t12/t9+t5/t9)*sp&
      &ak1k4)*c1))
      t5 = spak2k7*spbk3k2*spbk6k1
      t9 = t5*t97*spbk8k1
      t10 = t4*t95
      t11 = t10*es234*es34
      t12 = spak4k7*spbk4k3*spbk6k1
      t13 = t12*t97*spbk8k1
      t5 = t5*t97*spbk8k6
      t12 = t12*t97*spbk8k6
      t10 = t10*NC*es234*es34
      diagrams(11, :) = (spak2k4*i_*TR*(8.0_ki)*(((t12/t10+t5/t10)*spak5k6+(t13/&
      &t10+t9/t10)*spak1k5)*c1+((-(t5/t11+t12/t11))*spak5k6+(-(t9/t11+t13/t11))*&
      &spak1k5)*c2))
      t94 = gUa*gWWZ
      t5 = t94*spbk3k2
      t9 = t5*spbk6k1
      t10 = t9*t96*spbk8k1
      t1 = (es1234+i_*mZ*wZ-mZ*mZ)*t1*t2
      t2 = t1*es234*es34
      t11 = t10/t2
      t95 = gUv*gWWZ
      t12 = t95*spbk3k2
      t13 = t12*spbk6k1
      t14 = t13*t96*spbk8k1
      t15 = t14/t2
      t16 = t5*t96*spbk6k3*spbk8k1
      t17 = t12*t96*spbk6k3*spbk8k1
      t18 = t5*t96*spbk8k1*spbk8k6
      t19 = t18/t2
      t20 = t12*t96*spbk8k1*spbk8k6
      t21 = t20/t2
      t22 = t94*spbk4k3
      t23 = t22*spbk6k1
      t24 = t23*t96*spbk8k1
      t25 = t24/t2
      t26 = t95*spbk4k3
      t27 = t26*spbk6k1
      t28 = t27*t96*spbk8k1
      t29 = t28/t2
      t30 = t22*t96*spbk6k3*spbk8k1
      t31 = t26*t96*spbk6k3*spbk8k1
      t32 = t22*t96*spbk8k1*spbk8k6
      t33 = t32/t2
      t34 = t26*t96*spbk8k1*spbk8k6
      t35 = t34/t2
      t36 = t9*t96*spbk8k3
      t37 = t13*t96*spbk8k3
      t38 = t9*t96*spbk8k6
      t39 = t38/t2
      t40 = t13*t96*spbk8k6
      t41 = t40/t2
      t42 = t9*t96*spbk8k2
      t43 = t5*t96*spbk6k2*spbk8k1
      t44 = t13*t96*spbk8k2
      t45 = t12*t96*spbk6k2*spbk8k1
      t46 = t9*t96*spbk8k4
      t47 = t22*t96*spbk6k2*spbk8k1
      t48 = t13*t96*spbk8k4
      t49 = t26*t96*spbk6k2*spbk8k1
      t50 = t23*t96*spbk8k3
      t51 = t27*t96*spbk8k3
      t52 = t23*t96*spbk8k6
      t53 = t52/t2
      t54 = t27*t96*spbk8k6
      t55 = t54/t2
      t56 = t5*t96*spbk6k4*spbk8k1
      t57 = t23*t96*spbk8k2
      t58 = t12*t96*spbk6k4*spbk8k1
      t59 = t27*t96*spbk8k2
      t60 = t23*t96*spbk8k4
      t61 = t22*t96*spbk6k4*spbk8k1
      t62 = t27*t96*spbk8k4
      t63 = t26*t96*spbk6k4*spbk8k1
      t64 = t5*t96*spbk5k1*spbk8k6
      t9 = t9*t96*spbk8k5
      t65 = t12*t96*spbk5k1*spbk8k6
      t13 = t13*t96*spbk8k5
      t66 = t5*t96*spbk7k1*spbk8k6
      t5 = t5*t96*spbk7k6*spbk8k1
      t67 = t12*t96*spbk7k1*spbk8k6
      t12 = t12*t96*spbk7k6*spbk8k1
      t68 = t22*t96*spbk5k1*spbk8k6
      t23 = t23*t96*spbk8k5
      t69 = t26*t96*spbk5k1*spbk8k6
      t27 = t27*t96*spbk8k5
      t70 = t22*t96*spbk7k1*spbk8k6
      t22 = t22*t96*spbk7k6*spbk8k1
      t71 = t26*t96*spbk7k1*spbk8k6
      t26 = t26*t96*spbk7k6*spbk8k1
      t72 = t1*NC
      t73 = t72*es234*es34
      t10 = t10/t73
      t14 = t14/t73
      t18 = t18/t73
      t20 = t20/t73
      t24 = t24/t73
      t28 = t28/t73
      t32 = t32/t73
      t34 = t34/t73
      t38 = t38/t73
      t40 = t40/t73
      t52 = t52/t73
      t54 = t54/t73
      diagrams(8, :) = (spak2k4*i_*TR*(4.0_ki)*((((-(t14+t10))*spak1k5+(-(t20+t1&
      &8))*spak5k8+(t16/t73+t17/t73)*spak3k5)*spak2k7+((-(t28+t24))*spak1k5+(-(t&
      &34+t32))*spak5k8+(t30/t73+t31/t73)*spak3k5)*spak4k7+((t10+t14)*spak1k7+(t&
      &38+t40)*spak6k7+(-(t37/t73+t36/t73))*spak3k7+(t42/t73+t44/t73-(t45/t73+t4&
      &3/t73))*spak2k7+(-(t49/t73+t48/t73+t47/t73+t46/t73))*spak4k7)*spak2k5+((t&
      &24+t28)*spak1k7+(t52+t54)*spak6k7+(-(t51/t73+t50/t73))*spak3k7+(t56/t73+t&
      &57/t73+t58/t73+t59/t73)*spak2k7+(t61/t73+t63/t73-(t62/t73+t60/t73))*spak4&
      &k7)*spak4k5+((t18+t20)*spak2k8+(t32+t34)*spak4k8+(-(t40+t38))*spak2k6+(-(&
      &t54+t52))*spak4k6+(t66/t73+t67/t73-(t5/t73+t12/t73))*spak2k7+(t13/t73+t9/&
      &t73-(t65/t73+t64/t73))*spak2k5+(t70/t73+t71/t73-(t26/t73+t22/t73))*spak4k&
      &7+(t23/t73+t27/t73-(t69/t73+t68/t73))*spak4k5)*spak5k7)*c1+(((t11+t15)*sp&
      &ak1k5+(t19+t21)*spak5k8+(-(t17/t2+t16/t2))*spak3k5)*spak2k7+((t25+t29)*sp&
      &ak1k5+(t33+t35)*spak5k8+(-(t31/t2+t30/t2))*spak3k5)*spak4k7+((-(t15+t11))&
      &*spak1k7+(-(t41+t39))*spak6k7+(t36/t2+t37/t2)*spak3k7+(t43/t2+t45/t2-(t44&
      &/t2+t42/t2))*spak2k7+(t46/t2+t47/t2+t48/t2+t49/t2)*spak4k7)*spak2k5+((-(t&
      &29+t25))*spak1k7+(-(t55+t53))*spak6k7+(t50/t2+t51/t2)*spak3k7+(-(t59/t2+t&
      &58/t2+t57/t2+t56/t2))*spak2k7+(t60/t2+t62/t2-(t63/t2+t61/t2))*spak4k7)*sp&
      &ak4k5+((-(t21+t19))*spak2k8+(-(t35+t33))*spak4k8+(t39+t41)*spak2k6+(t53+t&
      &55)*spak4k6+(t12/t2+t5/t2-(t67/t2+t66/t2))*spak2k7+(t64/t2+t65/t2-(t9/t2+&
      &t13/t2))*spak2k5+(t22/t2+t26/t2-(t71/t2+t70/t2))*spak4k7+(t68/t2+t69/t2-(&
      &t27/t2+t23/t2))*spak4k5)*spak5k7)*c2))
      t2 = t96*spak1k5*spbk3k2*spbk6k1*spbk8k1
      t5 = t4*es1234*es234*es34
      t9 = t96*spak3k5*spbk3k2*spbk6k3*spbk8k1
      t10 = t96*spak5k8*spbk3k2*spbk8k1*spbk8k6
      t11 = t96*spak1k5*spbk4k3*spbk6k1*spbk8k1
      t12 = t96*spak3k5*spbk4k3*spbk6k3*spbk8k1
      t13 = t96*spak5k8*spbk4k3*spbk8k1*spbk8k6
      t14 = spbk3k2*spbk6k1
      t15 = t14*t96*spbk8k2
      t16 = t96*spbk3k2*spbk6k2*spbk8k1
      t17 = t14*t96*spbk8k4
      t18 = t96*spbk4k3*spbk6k2*spbk8k1
      t19 = t96*spak1k7*spbk3k2*spbk6k1*spbk8k1
      t20 = t96*spak3k7*spbk3k2*spbk6k1*spbk8k3
      t21 = t96*spak6k7*spbk3k2*spbk6k1*spbk8k6
      t22 = t96*spbk3k2*spbk6k4*spbk8k1
      t23 = spbk4k3*spbk6k1
      t24 = t23*t96*spbk8k2
      t25 = t23*t96*spbk8k4
      t26 = t96*spbk4k3*spbk6k4*spbk8k1
      t27 = t96*spak1k7*spbk4k3*spbk6k1*spbk8k1
      t28 = t96*spak3k7*spbk4k3*spbk6k1*spbk8k3
      t29 = t96*spak6k7*spbk4k3*spbk6k1*spbk8k6
      t30 = t96*spbk3k2*spbk5k1*spbk8k6
      t14 = t14*t96*spbk8k5
      t31 = t96*spbk3k2*spbk7k1*spbk8k6
      t32 = t96*spbk3k2*spbk7k6*spbk8k1
      t33 = t96*spbk4k3*spbk5k1*spbk8k6
      t23 = t23*t96*spbk8k5
      t34 = t96*spbk4k3*spbk7k1*spbk8k6
      t35 = t96*spbk4k3*spbk7k6*spbk8k1
      t36 = t96*spak2k6*spbk3k2*spbk6k1*spbk8k6
      t37 = t96*spak2k8*spbk3k2*spbk8k1*spbk8k6
      t38 = t96*spak4k6*spbk4k3*spbk6k1*spbk8k6
      t39 = t96*spak4k8*spbk4k3*spbk8k1*spbk8k6
      t40 = t4*NC
      t41 = t40*es1234*es234*es34
      diagrams(7, :) = (spak2k4*i_*TR*(8.0_ki/3.0_ki)*(((t10/t41+t2/t41-t9/t41)*&
      &spak2k7+(t11/t41+t13/t41-t12/t41)*spak4k7+((t16/t41-t15/t41)*spak2k7+(t17&
      &/t41+t18/t41)*spak4k7+t20/t41-(t21/t41+t19/t41))*spak2k5+((-(t24/t41+t22/&
      &t41))*spak2k7+(t25/t41-t26/t41)*spak4k7+t28/t41-(t29/t41+t27/t41))*spak4k&
      &5+((t30/t41-t14/t41)*spak2k5+(t33/t41-t23/t41)*spak4k5+(t32/t41-t31/t41)*&
      &spak2k7+(t35/t41-t34/t41)*spak4k7+t36/t41+t38/t41-(t39/t41+t37/t41))*spak&
      &5k7)*c1+((t9/t5-(t2/t5+t10/t5))*spak2k7+(t12/t5-(t13/t5+t11/t5))*spak4k7+&
      &((t15/t5-t16/t5)*spak2k7+(-(t18/t5+t17/t5))*spak4k7+t19/t5+t21/t5-t20/t5)&
      &*spak2k5+((t22/t5+t24/t5)*spak2k7+(t26/t5-t25/t5)*spak4k7+t27/t5+t29/t5-t&
      &28/t5)*spak4k5+((t14/t5-t30/t5)*spak2k5+(t23/t5-t33/t5)*spak4k5+(t31/t5-t&
      &32/t5)*spak2k7+(t34/t5-t35/t5)*spak4k7+t37/t5+t39/t5-(t38/t5+t36/t5))*spa&
      &k5k7)*c2))
      t2 = t94*spbk3k1
      t5 = t2*spbk6k1
      t9 = t5*t96*spbk8k6
      t10 = t1*t98
      t11 = t10*es34
      t12 = t9/t11
      t13 = t95*spbk3k1
      t14 = t13*spbk6k1
      t15 = t14*t96*spbk8k6
      t16 = t15/t11
      t17 = t2*t96*spbk8k1*spbk8k6
      t18 = t17/t11
      t19 = t13*t96*spbk8k1*spbk8k6
      t20 = t19/t11
      t21 = t5*t96*spbk8k1
      t22 = t21/t11
      t23 = t14*t96*spbk8k1
      t24 = t23/t11
      t25 = t2*spbk6k3
      t26 = t25*t96*spbk8k1
      t27 = t26/t11
      t28 = t13*spbk6k3
      t29 = t28*t96*spbk8k1
      t30 = t29/t11
      t31 = t2*spbk6k4
      t32 = t31*t96*spbk8k1
      t33 = t13*spbk6k4
      t34 = t33*t96*spbk8k1
      t35 = t2*t96*spbk7k1*spbk8k6
      t36 = t2*spbk7k6
      t37 = t36*t96*spbk8k1
      t38 = t13*t96*spbk7k1*spbk8k6
      t39 = t13*spbk7k6
      t41 = t39*t96*spbk8k1
      t42 = t5*t96*spbk8k3
      t43 = t42/t11
      t44 = t14*t96*spbk8k3
      t45 = t44/t11
      t46 = t5*t96*spbk8k4
      t47 = t14*t96*spbk8k4
      t48 = t2*t96*spbk5k1*spbk8k6
      t49 = t5*t96*spbk8k5
      t50 = t13*t96*spbk5k1*spbk8k6
      t51 = t14*t96*spbk8k5
      t5 = t5*t96*spbk8k2
      t52 = t2*spbk6k2
      t53 = t52*t96*spbk8k1
      t14 = t14*t96*spbk8k2
      t54 = t13*spbk6k2
      t55 = t54*t96*spbk8k1
      t56 = t25*t96*spbk8k6
      t57 = t56/t11
      t58 = t28*t96*spbk8k6
      t59 = t58/t11
      t60 = t2*t96*spbk8k3*spbk8k6
      t61 = t60/t11
      t62 = t13*t96*spbk8k3*spbk8k6
      t63 = t62/t11
      t64 = t25*t96*spbk8k3
      t65 = t64/t11
      t66 = t28*t96*spbk8k3
      t67 = t66/t11
      t31 = t31*t96*spbk8k3
      t33 = t33*t96*spbk8k3
      t68 = t2*t96*spbk7k3*spbk8k6
      t36 = t36*t96*spbk8k3
      t69 = t13*t96*spbk7k3*spbk8k6
      t39 = t39*t96*spbk8k3
      t70 = t25*t96*spbk8k4
      t71 = t28*t96*spbk8k4
      t2 = t2*t96*spbk5k3*spbk8k6
      t73 = t25*t96*spbk8k5
      t13 = t13*t96*spbk5k3*spbk8k6
      t74 = t28*t96*spbk8k5
      t52 = t52*t96*spbk8k3
      t25 = t25*t96*spbk8k2
      t54 = t54*t96*spbk8k3
      t28 = t28*t96*spbk8k2
      t10 = t10*NC*es34
      t9 = t9/t10
      t15 = t15/t10
      t17 = t17/t10
      t19 = t19/t10
      t21 = t21/t10
      t23 = t23/t10
      t26 = t26/t10
      t29 = t29/t10
      t42 = t42/t10
      t44 = t44/t10
      t56 = t56/t10
      t58 = t58/t10
      t60 = t60/t10
      t62 = t62/t10
      t64 = t64/t10
      t66 = t66/t10
      diagrams(6, :) = (i_*TR*(4.0_ki)*(((((-(t16+t12))*spak2k6+(t18+t20)*spak2k&
      &8)*spak5k7+((-(t20+t18))*spak5k8+(-(t24+t22))*spak1k5+(t27+t30)*spak3k5+(&
      &t32/t11+t34/t11)*spak4k5+(t35/t11+t38/t11-(t41/t11+t37/t11))*spak5k7)*spa&
      &k2k7+((t12+t16)*spak6k7+(t22+t24)*spak1k7+(-(t45+t43))*spak3k7+(-(t47/t11&
      &+t46/t11))*spak4k7+(t14/t11+t5/t11-(t55/t11+t53/t11))*spak2k7+(t49/t11+t5&
      &1/t11-(t50/t11+t48/t11))*spak5k7)*spak2k5)*spak1k4+(((t57+t59)*spak2k6+(-&
      &(t63+t61))*spak2k8)*spak5k7+((t43+t45)*spak1k5+(t61+t63)*spak5k8+(-(t67+t&
      &65))*spak3k5+(-(t33/t11+t31/t11))*spak4k5+(t36/t11+t39/t11-(t69/t11+t68/t&
      &11))*spak5k7)*spak2k7+((-(t30+t27))*spak1k7+(-(t59+t57))*spak6k7+(t65+t67&
      &)*spak3k7+(t70/t11+t71/t11)*spak4k7+(t13/t11+t2/t11-(t74/t11+t73/t11))*sp&
      &ak5k7+(t52/t11+t54/t11-(t28/t11+t25/t11))*spak2k7)*spak2k5)*spak3k4)*c2+(&
      &(((t15+t9)*spak2k6+(-(t19+t17))*spak2k8)*spak5k7+((t17+t19)*spak5k8+(t21+&
      &t23)*spak1k5+(-(t29+t26))*spak3k5+(-(t34/t10+t32/t10))*spak4k5+(t37/t10+t&
      &41/t10-(t38/t10+t35/t10))*spak5k7)*spak2k7+((-(t9+t15))*spak6k7+(-(t23+t2&
      &1))*spak1k7+(t42+t44)*spak3k7+(t46/t10+t47/t10)*spak4k7+(t53/t10+t55/t10-&
      &(t5/t10+t14/t10))*spak2k7+(t48/t10+t50/t10-(t51/t10+t49/t10))*spak5k7)*sp&
      &ak2k5)*spak1k4+(((-(t58+t56))*spak2k6+(t60+t62)*spak2k8)*spak5k7+((-(t44+&
      &t42))*spak1k5+(-(t62+t60))*spak5k8+(t64+t66)*spak3k5+(t31/t10+t33/t10)*sp&
      &ak4k5+(t68/t10+t69/t10-(t39/t10+t36/t10))*spak5k7)*spak2k7+((t26+t29)*spa&
      &k1k7+(t56+t58)*spak6k7+(-(t66+t64))*spak3k7+(-(t71/t10+t70/t10))*spak4k7+&
      &(t73/t10+t74/t10-(t2/t10+t13/t10))*spak5k7+(t25/t10+t28/t10-(t54/t10+t52/&
      &t10))*spak2k7)*spak2k5)*spak3k4)*c1))
      t2 = spak2k6*spbk3k1
      t5 = t2*t96*spbk6k1*spbk8k6
      t9 = t6*es1234*es34
      t10 = spak2k8*spbk3k1
      t11 = t10*t96*spbk8k1*spbk8k6
      t12 = t96*spbk3k1*spbk7k1*spbk8k6
      t13 = spbk3k1*spbk7k6
      t14 = t13*t96*spbk8k1
      t15 = spak1k5*spbk3k1*spbk6k1
      t16 = t15*t96*spbk8k1
      t17 = spak3k5*spbk3k1*spbk6k3
      t18 = t17*t96*spbk8k1
      t19 = spak4k5*spbk3k1*spbk6k4
      t20 = t19*t96*spbk8k1
      t21 = spak5k8*spbk3k1
      t22 = t21*t96*spbk8k1*spbk8k6
      t23 = t96*spbk3k1*spbk5k1*spbk8k6
      t24 = spbk3k1*spbk6k1
      t25 = t24*t96*spbk8k5
      t26 = t24*t96*spbk8k2
      t27 = spbk3k1*spbk6k2
      t28 = t27*t96*spbk8k1
      t29 = spak1k7*spbk3k1
      t30 = t29*t96*spbk6k1*spbk8k1
      t31 = spak3k7*spbk3k1
      t32 = t31*t96*spbk6k1*spbk8k3
      t8 = t8*t96*spbk8k4
      t33 = spak6k7*spbk3k1
      t34 = t33*t96*spbk6k1*spbk8k6
      t2 = t2*t96*spbk6k3*spbk8k6
      t10 = t10*t96*spbk8k3*spbk8k6
      t35 = t96*spbk3k1*spbk7k3*spbk8k6
      t13 = t13*t96*spbk8k3
      t15 = t15*t96*spbk8k3
      t17 = t17*t96*spbk8k3
      t19 = t19*t96*spbk8k3
      t21 = t21*t96*spbk8k3*spbk8k6
      t36 = t96*spbk3k1*spbk5k3*spbk8k6
      t37 = spbk3k1*spbk6k3
      t38 = t37*t96*spbk8k5
      t27 = t27*t96*spbk8k3
      t39 = t37*t96*spbk8k2
      t29 = t29*t96*spbk6k3*spbk8k1
      t31 = t31*t96*spbk6k3*spbk8k3
      t7 = t7*t96*spbk6k3*spbk8k4
      t33 = t33*t96*spbk6k3*spbk8k6
      t6 = t6*NC*es1234*es34
      diagrams(5, :) = (i_*TR*(8.0_ki/3.0_ki)*((((t2/t6-t10/t6)*spak5k7+((t13/t6&
      &-t35/t6)*spak5k7+t15/t6+t21/t6-(t19/t6+t17/t6))*spak2k7+((t27/t6-t39/t6)*&
      &spak2k7+(t36/t6-t38/t6)*spak5k7+t31/t6+t7/t6-(t33/t6+t29/t6))*spak2k5)*sp&
      &ak3k4+((t11/t6-t5/t6)*spak5k7+((t12/t6-t14/t6)*spak5k7+t18/t6+t20/t6-(t22&
      &/t6+t16/t6))*spak2k7+((t25/t6-t23/t6)*spak5k7+(t26/t6-t28/t6)*spak2k7+t30&
      &/t6+t34/t6-(t8/t6+t32/t6))*spak2k5)*spak1k4)*c1+(((t10/t9-t2/t9)*spak5k7+&
      &((t35/t9-t13/t9)*spak5k7+t17/t9+t19/t9-(t21/t9+t15/t9))*spak2k7+((t39/t9-&
      &t27/t9)*spak2k7+(t38/t9-t36/t9)*spak5k7+t29/t9+t33/t9-(t7/t9+t31/t9))*spa&
      &k2k5)*spak3k4+((t5/t9-t11/t9)*spak5k7+((t14/t9-t12/t9)*spak5k7+t16/t9+t22&
      &/t9-(t20/t9+t18/t9))*spak2k7+((t23/t9-t25/t9)*spak5k7+(t28/t9-t26/t9)*spa&
      &k2k7+t32/t9+t8/t9-(t34/t9+t30/t9))*spak2k5)*spak1k4)*c2))
      t94 = es12+es1234-(es34+es123)
      t95 = gDa*gWWZ
      t2 = t95*spbk2k1
      t5 = t2*t96*spbk6k1*spbk8k3
      t6 = t1*t94
      t7 = t6*es12
      t97 = gDv*gWWZ
      t8 = t97*spbk2k1
      t9 = t8*t96*spbk6k1*spbk8k3
      t10 = t2*spbk6k3
      t11 = t10*t96*spbk8k3
      t19 = t11/t7
      t20 = t8*spbk6k3
      t26 = t20*t96*spbk8k3
      t27 = t26/t7
      t28 = t2*t96*spbk8k3*spbk8k6
      t39 = t28/t7
      t41 = t8*t96*spbk8k3*spbk8k6
      t42 = t41/t7
      t43 = t95*spbk4k1
      t44 = t43*t96*spbk6k1*spbk8k3
      t45 = t97*spbk4k1
      t46 = t45*t96*spbk6k1*spbk8k3
      t47 = t43*spbk6k3
      t48 = t47*t96*spbk8k3
      t49 = t48/t7
      t50 = t45*spbk6k3
      t51 = t50*t96*spbk8k3
      t52 = t51/t7
      t53 = t43*t96*spbk8k3*spbk8k6
      t54 = t53/t7
      t55 = t45*t96*spbk8k3*spbk8k6
      t56 = t55/t7
      t57 = t10*t96*spbk8k1
      t58 = t20*t96*spbk8k1
      t59 = t10*t96*spbk8k6
      t60 = t59/t7
      t61 = t20*t96*spbk8k6
      t62 = t61/t7
      t63 = t2*t96*spbk6k2*spbk8k3
      t64 = t10*t96*spbk8k2
      t65 = t8*t96*spbk6k2*spbk8k3
      t66 = t20*t96*spbk8k2
      t67 = t10*t96*spbk8k4
      t68 = t43*t96*spbk6k2*spbk8k3
      t69 = t20*t96*spbk8k4
      t70 = t45*t96*spbk6k2*spbk8k3
      t71 = t47*t96*spbk8k1
      t73 = t50*t96*spbk8k1
      t74 = t47*t96*spbk8k6
      t75 = t74/t7
      t76 = t50*t96*spbk8k6
      t77 = t76/t7
      t78 = t2*t96*spbk6k4*spbk8k3
      t79 = t47*t96*spbk8k2
      t80 = t8*t96*spbk6k4*spbk8k3
      t81 = t50*t96*spbk8k2
      t82 = t47*t96*spbk8k4
      t83 = t43*t96*spbk6k4*spbk8k3
      t84 = t50*t96*spbk8k4
      t85 = t45*t96*spbk6k4*spbk8k3
      t86 = t2*t96*spbk5k3*spbk8k6
      t10 = t10*t96*spbk8k5
      t87 = t8*t96*spbk5k3*spbk8k6
      t20 = t20*t96*spbk8k5
      t88 = t2*t96*spbk7k3*spbk8k6
      t2 = t2*t96*spbk7k6*spbk8k3
      t89 = t8*t96*spbk7k3*spbk8k6
      t8 = t8*t96*spbk7k6*spbk8k3
      t90 = t43*t96*spbk5k3*spbk8k6
      t47 = t47*t96*spbk8k5
      t91 = t45*t96*spbk5k3*spbk8k6
      t50 = t50*t96*spbk8k5
      t92 = t43*t96*spbk7k3*spbk8k6
      t43 = t43*t96*spbk7k6*spbk8k3
      t93 = t45*t96*spbk7k3*spbk8k6
      t45 = t45*t96*spbk7k6*spbk8k3
      t6 = t6*NC*es12
      t11 = t11/t6
      t26 = t26/t6
      t28 = t28/t6
      t41 = t41/t6
      t48 = t48/t6
      t51 = t51/t6
      t53 = t53/t6
      t55 = t55/t6
      t59 = t59/t6
      t61 = t61/t6
      t74 = t74/t6
      t76 = t76/t6
      diagrams(4, :) = (spak2k4*i_*TR*(4.0_ki)*((((t11-t26)*spak3k5+(t41-t28)*sp&
      &ak5k8+(t9/t6-t5/t6)*spak1k5)*spak2k7+((t51-t48)*spak3k5+(t53-t55)*spak5k8&
      &+(t44/t6-t46/t6)*spak1k5)*spak4k7+((t26-t11)*spak3k7+(t59-t61)*spak6k7+(t&
      &57/t6-t58/t6)*spak1k7+(t64/t6+t65/t6-(t66/t6+t63/t6))*spak2k7+(t68/t6+t69&
      &/t6-(t70/t6+t67/t6))*spak4k7)*spak2k5+((t48-t51)*spak3k7+(t76-t74)*spak6k&
      &7+(t73/t6-t71/t6)*spak1k7+(t78/t6+t81/t6-(t80/t6+t79/t6))*spak2k7+(t82/t6&
      &+t85/t6-(t84/t6+t83/t6))*spak4k7)*spak4k5+((t28-t41)*spak2k8+(t55-t53)*sp&
      &ak4k8+(t61-t59)*spak2k6+(t74-t76)*spak4k6+(t10/t6+t87/t6-(t86/t6+t20/t6))&
      &*spak2k5+(t8/t6+t88/t6-(t89/t6+t2/t6))*spak2k7+(t43/t6+t93/t6-(t92/t6+t45&
      &/t6))*spak4k7+(t50/t6+t90/t6-(t91/t6+t47/t6))*spak4k5)*spak5k7)*c1+(((t27&
      &-t19)*spak3k5+(t39-t42)*spak5k8+(t5/t7-t9/t7)*spak1k5)*spak2k7+((t49-t52)&
      &*spak3k5+(t56-t54)*spak5k8+(t46/t7-t44/t7)*spak1k5)*spak4k7+((t19-t27)*sp&
      &ak3k7+(t62-t60)*spak6k7+(t58/t7-t57/t7)*spak1k7+(t63/t7+t66/t7-(t65/t7+t6&
      &4/t7))*spak2k7+(t67/t7+t70/t7-(t69/t7+t68/t7))*spak4k7)*spak2k5+((t52-t49&
      &)*spak3k7+(t75-t77)*spak6k7+(t71/t7-t73/t7)*spak1k7+(t79/t7+t80/t7-(t81/t&
      &7+t78/t7))*spak2k7+(t83/t7+t84/t7-(t85/t7+t82/t7))*spak4k7)*spak4k5+((t42&
      &-t39)*spak2k8+(t54-t56)*spak4k8+(t60-t62)*spak2k6+(t77-t75)*spak4k6+(t20/&
      &t7+t86/t7-(t87/t7+t10/t7))*spak2k5+(t2/t7+t89/t7-(t88/t7+t8/t7))*spak2k7+&
      &(t45/t7+t92/t7-(t93/t7+t43/t7))*spak4k7+(t47/t7+t91/t7-(t90/t7+t50/t7))*s&
      &pak4k5)*spak5k7)*c2))
      t2 = t96*spak1k5*spbk2k1*spbk6k1*spbk8k3
      t5 = t4*t94
      t6 = t5*es12*es1234
      t7 = t96*spak3k5*spbk2k1*spbk6k3*spbk8k3
      t8 = t96*spak5k8*spbk2k1*spbk8k3*spbk8k6
      t9 = t96*spak1k5*spbk4k1*spbk6k1*spbk8k3
      t10 = t96*spak3k5*spbk4k1*spbk6k3*spbk8k3
      t11 = t96*spak5k8*spbk4k1*spbk8k3*spbk8k6
      t19 = t96*spbk2k1*spbk6k2*spbk8k3
      t20 = spbk2k1*spbk6k3
      t26 = t20*t96*spbk8k2
      t27 = t20*t96*spbk8k4
      t28 = t96*spbk4k1*spbk6k2*spbk8k3
      t39 = t96*spak1k7*spbk2k1*spbk6k3*spbk8k1
      t41 = t96*spak3k7*spbk2k1*spbk6k3*spbk8k3
      t42 = t96*spak6k7*spbk2k1*spbk6k3*spbk8k6
      t43 = t96*spbk2k1*spbk6k4*spbk8k3
      t44 = spbk4k1*spbk6k3
      t45 = t44*t96*spbk8k2
      t46 = t44*t96*spbk8k4
      t47 = t96*spbk4k1*spbk6k4*spbk8k3
      t48 = t96*spak1k7*spbk4k1*spbk6k3*spbk8k1
      t49 = t96*spak3k7*spbk4k1*spbk6k3*spbk8k3
      t50 = t96*spak6k7*spbk4k1*spbk6k3*spbk8k6
      t51 = t96*spbk2k1*spbk5k3*spbk8k6
      t20 = t20*t96*spbk8k5
      t52 = t96*spbk2k1*spbk7k3*spbk8k6
      t53 = t96*spbk2k1*spbk7k6*spbk8k3
      t54 = t96*spbk4k1*spbk5k3*spbk8k6
      t44 = t44*t96*spbk8k5
      t55 = t96*spbk4k1*spbk7k3*spbk8k6
      t56 = t96*spbk4k1*spbk7k6*spbk8k3
      t57 = t96*spak2k6*spbk2k1*spbk6k3*spbk8k6
      t58 = t96*spak2k8*spbk2k1*spbk8k3*spbk8k6
      t59 = t96*spak4k6*spbk4k1*spbk6k3*spbk8k6
      t60 = t96*spak4k8*spbk4k1*spbk8k3*spbk8k6
      t5 = t5*NC*es12*es1234
      diagrams(3, :) = (spak2k4*i_*TR*(4.0_ki/3.0_ki)*(((t10/t5-(t9/t5+t11/t5))*&
      &spak4k7+(t2/t5+t8/t5-t7/t5)*spak2k7+((t19/t5-t26/t5)*spak2k7+(t27/t5-t28/&
      &t5)*spak4k7+t41/t5-(t42/t5+t39/t5))*spak2k5+((t45/t5-t43/t5)*spak2k7+(t47&
      &/t5-t46/t5)*spak4k7+t48/t5+t50/t5-t49/t5)*spak4k5+((t51/t5-t20/t5)*spak2k&
      &5+(t44/t5-t54/t5)*spak4k5+(t53/t5-t52/t5)*spak2k7+(t55/t5-t56/t5)*spak4k7&
      &+t57/t5+t60/t5-(t59/t5+t58/t5))*spak5k7)*c1+((t11/t6+t9/t6-t10/t6)*spak4k&
      &7+(t7/t6-(t8/t6+t2/t6))*spak2k7+((t26/t6-t19/t6)*spak2k7+(t28/t6-t27/t6)*&
      &spak4k7+t39/t6+t42/t6-t41/t6)*spak2k5+((t43/t6-t45/t6)*spak2k7+(t46/t6-t4&
      &7/t6)*spak4k7+t49/t6-(t50/t6+t48/t6))*spak4k5+((t20/t6-t51/t6)*spak2k5+(t&
      &54/t6-t44/t6)*spak4k5+(t52/t6-t53/t6)*spak2k7+(t56/t6-t55/t6)*spak4k7+t58&
      &/t6+t59/t6-(t60/t6+t57/t6))*spak5k7)*c2))
      t2 = t95*spbk3k1
      t5 = t2*spbk6k1
      t6 = t5*t96*spbk8k6
      t1 = t1*es12*es123
      t7 = t6/t1
      t8 = t97*spbk3k1
      t9 = t8*spbk6k1
      t10 = t9*t96*spbk8k6
      t11 = t10/t1
      t19 = t2*t96*spbk8k1*spbk8k6
      t20 = t19/t1
      t26 = t8*t96*spbk8k1*spbk8k6
      t27 = t26/t1
      t28 = t5*t96*spbk8k1
      t39 = t28/t1
      t41 = t9*t96*spbk8k1
      t42 = t41/t1
      t43 = t2*spbk6k2
      t44 = t43*t96*spbk8k1
      t45 = t8*spbk6k2
      t46 = t45*t96*spbk8k1
      t47 = t2*spbk6k3
      t48 = t47*t96*spbk8k1
      t49 = t8*spbk6k3
      t50 = t49*t96*spbk8k1
      t51 = t50/t1-t48/t1
      t52 = t2*t96*spbk7k1*spbk8k6
      t53 = t2*spbk7k6
      t54 = t53*t96*spbk8k1
      t55 = t8*t96*spbk7k1*spbk8k6
      t56 = t8*spbk7k6
      t57 = t56*t96*spbk8k1
      t58 = t5*t96*spbk8k2
      t59 = t9*t96*spbk8k2
      t60 = t5*t96*spbk8k3
      t61 = t9*t96*spbk8k3
      t62 = t60/t1-t61/t1
      t63 = t2*t96*spbk5k1*spbk8k6
      t64 = t5*t96*spbk8k5
      t65 = t8*t96*spbk5k1*spbk8k6
      t66 = t9*t96*spbk8k5
      t5 = t5*t96*spbk8k4
      t67 = t2*spbk6k4
      t68 = t67*t96*spbk8k1
      t9 = t9*t96*spbk8k4
      t69 = t8*spbk6k4
      t70 = t69*t96*spbk8k1
      t71 = t47*t96*spbk8k6
      t73 = t71/t1
      t74 = t49*t96*spbk8k6
      t75 = t74/t1
      t76 = t2*t96*spbk8k3*spbk8k6
      t77 = t76/t1
      t78 = t8*t96*spbk8k3*spbk8k6
      t79 = t78/t1
      t43 = t43*t96*spbk8k3
      t45 = t45*t96*spbk8k3
      t80 = t47*t96*spbk8k3
      t81 = t80/t1
      t82 = t49*t96*spbk8k3
      t83 = t82/t1
      t84 = t2*t96*spbk7k3*spbk8k6
      t53 = t53*t96*spbk8k3
      t85 = t8*t96*spbk7k3*spbk8k6
      t56 = t56*t96*spbk8k3
      t86 = t47*t96*spbk8k2
      t87 = t49*t96*spbk8k2
      t2 = t2*t96*spbk5k3*spbk8k6
      t88 = t47*t96*spbk8k5
      t8 = t8*t96*spbk5k3*spbk8k6
      t89 = t49*t96*spbk8k5
      t47 = t47*t96*spbk8k4
      t67 = t67*t96*spbk8k3
      t49 = t49*t96*spbk8k4
      t69 = t69*t96*spbk8k3
      t72 = t72*es12*es123
      t6 = t6/t72
      t10 = t10/t72
      t19 = t19/t72
      t26 = t26/t72
      t28 = t28/t72
      t41 = t41/t72
      t48 = t48/t72-t50/t72
      t50 = t61/t72-t60/t72
      t60 = t71/t72
      t61 = t74/t72
      t71 = t76/t72
      t74 = t78/t72
      t76 = t80/t72
      t78 = t82/t72
      diagrams(2, :) = (i_*TR*(4.0_ki)*(((((t10-t6)*spak4k6+(t19-t26)*spak4k8)*s&
      &pak5k7+((t26-t19)*spak5k8+(t41-t28)*spak1k5+(t46/t72-t44/t72)*spak2k5+(t5&
      &2/t72+t57/t72-(t55/t72+t54/t72))*spak5k7+t48*spak3k5)*spak4k7+((t6-t10)*s&
      &pak6k7+(t28-t41)*spak1k7+(t58/t72-t59/t72)*spak2k7+(t68/t72+t9/t72-(t70/t&
      &72+t5/t72))*spak4k7+(t64/t72+t65/t72-(t66/t72+t63/t72))*spak5k7+t50*spak3&
      &k7)*spak4k5)*spak1k2+(((t61-t60)*spak4k6+(t71-t74)*spak4k8)*spak5k7+((t74&
      &-t71)*spak5k8+(t76-t78)*spak3k5+(t45/t72-t43/t72)*spak2k5+(t56/t72+t84/t7&
      &2-(t85/t72+t53/t72))*spak5k7+t50*spak1k5)*spak4k7+((t60-t61)*spak6k7+(t78&
      &-t76)*spak3k7+(t86/t72-t87/t72)*spak2k7+(t8/t72+t88/t72-(t89/t72+t2/t72))&
      &*spak5k7+(t49/t72+t67/t72-(t69/t72+t47/t72))*spak4k7+t48*spak1k7)*spak4k5&
      &)*spak2k3)*c1+((((t7-t11)*spak4k6+(t27-t20)*spak4k8)*spak5k7+((t20-t27)*s&
      &pak5k8+(t39-t42)*spak1k5+(t44/t1-t46/t1)*spak2k5+(t54/t1+t55/t1-(t57/t1+t&
      &52/t1))*spak5k7+t51*spak3k5)*spak4k7+((t11-t7)*spak6k7+(t42-t39)*spak1k7+&
      &(t59/t1-t58/t1)*spak2k7+(t5/t1+t70/t1-(t9/t1+t68/t1))*spak4k7+(t63/t1+t66&
      &/t1-(t65/t1+t64/t1))*spak5k7+t62*spak3k7)*spak4k5)*spak1k2+(((t73-t75)*sp&
      &ak4k6+(t79-t77)*spak4k8)*spak5k7+((t77-t79)*spak5k8+(t83-t81)*spak3k5+(t4&
      &3/t1-t45/t1)*spak2k5+(t53/t1+t85/t1-(t84/t1+t56/t1))*spak5k7+t62*spak1k5)&
      &*spak4k7+((t75-t73)*spak6k7+(t81-t83)*spak3k7+(t87/t1-t86/t1)*spak2k7+(t2&
      &/t1+t89/t1-(t88/t1+t8/t1))*spak5k7+(t47/t1+t69/t1-(t67/t1+t49/t1))*spak4k&
      &7+t51*spak1k7)*spak4k5)*spak2k3)*c2))
      t1 = spak4k6*spbk3k1
      t2 = t1*t96*spbk6k1*spbk8k6
      t4 = t4*es12*es123*es1234
      t5 = spak4k8*spbk3k1
      t6 = t5*t96*spbk8k1*spbk8k6
      t3 = t3*spbk6k2
      t7 = t3*t96*spbk8k1
      t8 = t24*t96*spbk8k4
      t9 = spbk3k1*spbk6k4
      t10 = t9*t96*spbk8k1
      t11 = spak2k7*spbk3k1
      t19 = t11*t96*spbk6k1*spbk8k2
      t1 = t1*t96*spbk6k3*spbk8k6
      t5 = t5*t96*spbk8k3*spbk8k6
      t3 = t3*t96*spbk8k3
      t20 = t37*t96*spbk8k4
      t9 = t9*t96*spbk8k3
      t11 = t11*t96*spbk6k3*spbk8k2
      t24 = t40*es12*es123*es1234
      diagrams(1, :) = (i_*TR*(4.0_ki/3.0_ki)*((((t1/t24-t5/t24)*spak5k7+((t13/t&
      &24-t35/t24)*spak5k7+t15/t24+t21/t24+t3/t24-t17/t24)*spak4k7+((t20/t24-t9/&
      &t24)*spak4k7+(t36/t24-t38/t24)*spak5k7+t31/t24-(t33/t24+t29/t24+t11/t24))&
      &*spak4k5)*spak2k3+((t2/t24-t6/t24)*spak5k7+((t14/t24-t12/t24)*spak5k7+t16&
      &/t24+t22/t24+t7/t24-t18/t24)*spak4k7+((t8/t24-t10/t24)*spak4k7+(t23/t24-t&
      &25/t24)*spak5k7+t32/t24-(t34/t24+t30/t24+t19/t24))*spak4k5)*spak1k2)*c1+(&
      &((t5/t4-t1/t4)*spak5k7+((t35/t4-t13/t4)*spak5k7+t17/t4-(t3/t4+t21/t4+t15/&
      &t4))*spak4k7+((t9/t4-t20/t4)*spak4k7+(t38/t4-t36/t4)*spak5k7+t11/t4+t29/t&
      &4+t33/t4-t31/t4)*spak4k5)*spak2k3+((t6/t4-t2/t4)*spak5k7+((t12/t4-t14/t4)&
      &*spak5k7+t18/t4-(t7/t4+t22/t4+t16/t4))*spak4k7+((t10/t4-t8/t4)*spak4k7+(t&
      &25/t4-t23/t4)*spak5k7+t19/t4+t30/t4+t34/t4-t32/t4)*spak4k5)*spak1k2)*c2))
      if (debug_lo_diagrams) then
      
         call inspect_lo_diagram(diagrams(1,:), 1, 2, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 2, 19)
         call inspect_lo_diagram(diagrams(3,:), 3, 2, 19)
         call inspect_lo_diagram(diagrams(4,:), 4, 2, 19)
         call inspect_lo_diagram(diagrams(5,:), 5, 2, 19)
         call inspect_lo_diagram(diagrams(6,:), 6, 2, 19)
         call inspect_lo_diagram(diagrams(7,:), 7, 2, 19)
         call inspect_lo_diagram(diagrams(8,:), 8, 2, 19)
         call inspect_lo_diagram(diagrams(9,:), 9, 2, 19)
         call inspect_lo_diagram(diagrams(10,:), 10, 2, 19)
         call inspect_lo_diagram(diagrams(11,:), 11, 2, 19)
         call inspect_lo_diagram(diagrams(12,:), 12, 2, 19)
         call inspect_lo_diagram(diagrams(13,:), 13, 2, 19)
         call inspect_lo_diagram(diagrams(14,:), 14, 2, 19)
         call inspect_lo_diagram(diagrams(15,:), 15, 2, 19)
         call inspect_lo_diagram(diagrams(16,:), 16, 2, 19)
         call inspect_lo_diagram(diagrams(17,:), 17, 2, 19)
         call inspect_lo_diagram(diagrams(18,:), 18, 2, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module P5B_uux_ddx_diagramsh2l0
