module     P5B_uux_ddx_diagramsh3l0
   ! file:      /afs/ipp-garching.mpg.de/home/g/gdh/Golem/gosam/working/P5B_uux_
   ! ddx/helicity3/diagramsl0.f90
   ! generator: haggies (1.1)
   use P5B_uux_ddx_color, only: numcs
   use P5B_uux_ddx_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use P5B_uux_ddx_model
      use P5B_uux_ddx_kinematics
      use P5B_uux_ddx_color
      use P5B_uux_ddx_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use P5B_uux_ddx_accu, only: sorted_sum
      use P5B_uux_ddx_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(18,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      real(ki) :: t95
      real(ki) :: t96
      real(ki) :: t97
      real(ki) :: t98
      real(ki) :: t99
      real(ki) :: t100
      real(ki) :: t101
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      t95 = mW*mW
      t1 = i_*mW*wW
      t2 = t1+es56-t95
      t1 = t1+es78-t95
      t95 = es3456+es56-(es456+es34)
      t96 = es123+es56+es78-(es456+es1234)
      t97 = es123+es234+es3456+es56+es78-(es781+es456+es34+es23+es1234+es12)
      t3 = spak4k7*spbk4k1
      t98 = gW*gW
      t99 = t98*t98
      t4 = t3*t99*spbk6k3*spbk8k4
      t5 = t1*t2
      t6 = t5*t95*t96
      t7 = t6*t97
      t8 = t99*spak7k8*spbk6k3*spbk8k1*spbk8k4
      t9 = t3*t99*spbk6k5*spbk8k4
      t10 = t99*spak7k8*spbk6k5*spbk8k1*spbk8k4
      t11 = t7*NC
      diagrams(18, :) = -((spak3k5*i_*TR*(8.0_ki)*(((t10/t11-t9/t11)*spak2k5+(t8&
      &/t11-t4/t11)*spak2k3)*c2+((t9/t7-t10/t7)*spak2k5+(t4/t7-t8/t7)*spak2k3)*c&
      &1)))
      t100 = es3456+es78-(es781+es12)
      t7 = spak2k3*spbk4k1
      t11 = t7*t99*spbk6k3*spbk8k2
      t12 = t100*t5
      t13 = t12*t95*t97
      t14 = spak2k5*spbk4k1
      t15 = t14*t99*spbk6k5*spbk8k2
      t16 = spak3k7*spbk4k1
      t17 = t16*spbk6k3
      t18 = t17*t99*spbk8k7
      t19 = spak5k7*spbk4k1
      t20 = t19*spbk6k5
      t21 = t20*t99*spbk8k7
      t22 = t13*NC
      diagrams(17, :) = -((spak3k5*spak2k7*i_*TR*(8.0_ki)*((t11/t13+t15/t13+t18/&
      &t13+t21/t13)*c1+(-(t21/t22+t18/t22+t15/t22+t11/t22))*c2)))
      t101 = es234+es56+es78-(es781+es1234)
      t11 = t3*spbk6k1*spbk8k4
      t13 = t11*t99
      t15 = t5*t96
      t18 = t101*t15*t97
      t21 = spak7k8*spbk6k1
      t22 = t21*t99*spbk8k1*spbk8k4
      t23 = t99*spak4k7*spbk6k1*spbk6k4*spbk8k4
      t21 = t21*t99*spbk8k4*spbk8k6
      t24 = t18*NC
      diagrams(16, :) = -((spak2k3*i_*TR*(8.0_ki)*(((t13/t18-t22/t18)*spak1k5+(-&
      &(t23/t18+t21/t18))*spak5k6)*c1+((t22/t24-t13/t24)*spak1k5+(t21/t24+t23/t2&
      &4)*spak5k6)*c2)))
      t7 = t7*t99*spbk6k1*spbk8k2
      t12 = t101*t12
      t13 = t12*t97
      t18 = t16*spbk6k1
      t21 = t18*t99*spbk8k7
      t22 = t99*spak2k3*spbk6k1*spbk6k4*spbk8k2
      t23 = t99*spak3k7*spbk6k1*spbk6k4*spbk8k7
      t24 = t13*NC
      diagrams(15, :) = -((spak2k7*i_*TR*(8.0_ki)*(((t21/t13+t7/t13)*spak1k5+(-(&
      &t23/t13+t22/t13))*spak5k6)*c1+((-(t7/t24+t21/t24))*spak1k5+(t22/t24+t23/t&
      &24)*spak5k6)*c2)))
      t13 = t12*es34
      t12 = t12*NC*es34
      diagrams(14, :) = (spak2k7*i_*TR*(8.0_ki)*(((t21/t12+t7/t12)*spak1k5+(-(t2&
      &3/t12+t22/t12))*spak5k6)*c1+((-(t7/t13+t21/t13))*spak1k5+(t22/t13+t23/t13&
      &)*spak5k6)*c2))
      t7 = t6*es12
      t6 = t6*NC*es12
      diagrams(13, :) = (spak3k5*i_*TR*(8.0_ki)*(((t9/t6-t10/t6)*spak2k5+(t4/t6-&
      &t8/t6)*spak2k3)*c1+((t10/t7-t9/t7)*spak2k5+(t8/t7-t4/t7)*spak2k3)*c2))
      t96 = es1234+es34-(es234+es12)
      t4 = t14*t99*spbk6k1*spbk8k2
      t6 = t5*t96
      t7 = t100*t6
      t8 = t7*es34
      t9 = t19*t99*spbk6k1*spbk8k7
      t10 = t14*t99*spbk6k4*spbk8k2
      t12 = t19*t99*spbk6k4*spbk8k7
      t7 = t7*NC*es34
      diagrams(12, :) = (spak2k7*i_*TR*(8.0_ki)*(((t10/t7+t12/t7)*spak3k4+(t4/t7&
      &+t9/t7)*spak1k3)*c1+((-(t12/t8+t10/t8))*spak3k4+(-(t9/t8+t4/t8))*spak1k3)&
      &*c2))
      t4 = spak2k7*spbk4k2*spbk6k1
      t7 = t4*t99*spbk8k1
      t8 = t101*t5
      t9 = t8*es234*es34
      t10 = spak3k7*spbk4k3*spbk6k1
      t12 = t10*t99*spbk8k1
      t4 = t4*t99*spbk8k6
      t10 = t10*t99*spbk8k6
      t8 = t8*NC*es234*es34
      diagrams(11, :) = (spak2k3*i_*TR*(8.0_ki)*(((t4/t8-t10/t8)*spak5k6+(t7/t8-&
      &t12/t8)*spak1k5)*c1+((t10/t9-t4/t9)*spak5k6+(t12/t9-t7/t9)*spak1k5)*c2))
      t4 = spak4k7*spbk2k1*spbk6k4*spbk8k4
      t7 = t4*t99
      t8 = t15*es12*es123
      t9 = t99*spak7k8*spbk2k1*spbk8k4*spbk8k6
      t10 = spak4k7*spbk3k1*spbk6k4*spbk8k4
      t12 = t10*t99
      t13 = t99*spak7k8*spbk3k1*spbk8k4*spbk8k6
      t15 = t15*NC*es12*es123
      diagrams(10, :) = (spak2k3*i_*TR*(8.0_ki)*(((t12/t15+t13/t15)*spak3k5+(-(t&
      &9/t15+t7/t15))*spak2k5)*c1+((-(t13/t8+t12/t8))*spak3k5+(t7/t8+t9/t8)*spak&
      &2k5)*c2))
      t97 = es12+es1234-(es34+es123)
      t7 = t17*t99*spbk8k1
      t8 = t5*t97
      t9 = t8*t95
      t12 = t9*es12
      t13 = t20*t99*spbk8k1
      t15 = t17*t99*spbk8k4
      t17 = t20*t99*spbk8k4
      t9 = t9*NC*es12
      diagrams(9, :) = (spak3k5*i_*TR*(8.0_ki)*(((-(t7/t12+t13/t12))*spak1k2+(-(&
      &t17/t12+t15/t12))*spak2k4)*c2+((t13/t9+t7/t9)*spak1k2+(t15/t9+t17/t9)*spa&
      &k2k4)*c1))
      t95 = gUa*gWWZ
      t7 = t95*spbk4k2
      t9 = t7*spbk6k1
      t12 = t9*t98*spbk8k1
      t1 = (es1234+i_*mZ*wZ-mZ*mZ)*t1*t2
      t2 = t1*es234*es34
      t13 = t12/t2
      t99 = gUv*gWWZ
      t15 = t99*spbk4k2
      t17 = t15*spbk6k1
      t19 = t17*t98*spbk8k1
      t20 = t19/t2
      t21 = t7*t98*spbk6k4*spbk8k1
      t22 = t15*t98*spbk6k4*spbk8k1
      t23 = t7*t98*spbk8k1*spbk8k6
      t24 = t23/t2
      t25 = t15*t98*spbk8k1*spbk8k6
      t26 = t25/t2
      t27 = t95*spbk4k3
      t28 = t27*spbk6k1
      t29 = t28*t98*spbk8k1
      t30 = t29/t2
      t31 = t99*spbk4k3
      t32 = t31*spbk6k1
      t33 = t32*t98*spbk8k1
      t34 = t33/t2
      t35 = t27*t98*spbk6k4*spbk8k1
      t36 = t31*t98*spbk6k4*spbk8k1
      t37 = t27*t98*spbk8k1*spbk8k6
      t38 = t37/t2
      t39 = t31*t98*spbk8k1*spbk8k6
      t40 = t39/t2
      t41 = t9*t98*spbk8k4
      t42 = t17*t98*spbk8k4
      t43 = t9*t98*spbk8k6
      t44 = t43/t2
      t45 = t17*t98*spbk8k6
      t46 = t45/t2
      t47 = t9*t98*spbk8k2
      t48 = t7*t98*spbk6k2*spbk8k1
      t49 = t17*t98*spbk8k2
      t50 = t15*t98*spbk6k2*spbk8k1
      t51 = t9*t98*spbk8k3
      t52 = t27*t98*spbk6k2*spbk8k1
      t53 = t17*t98*spbk8k3
      t54 = t31*t98*spbk6k2*spbk8k1
      t55 = t28*t98*spbk8k4
      t56 = t32*t98*spbk8k4
      t57 = t28*t98*spbk8k6
      t58 = t57/t2
      t59 = t32*t98*spbk8k6
      t60 = t59/t2
      t61 = t7*t98*spbk6k3*spbk8k1
      t62 = t28*t98*spbk8k2
      t63 = t15*t98*spbk6k3*spbk8k1
      t64 = t32*t98*spbk8k2
      t65 = t28*t98*spbk8k3
      t66 = t27*t98*spbk6k3*spbk8k1
      t67 = t32*t98*spbk8k3
      t68 = t31*t98*spbk6k3*spbk8k1
      t69 = t7*t98*spbk5k1*spbk8k6
      t9 = t9*t98*spbk8k5
      t70 = t15*t98*spbk5k1*spbk8k6
      t17 = t17*t98*spbk8k5
      t71 = t7*t98*spbk7k1*spbk8k6
      t7 = t7*t98*spbk7k6*spbk8k1
      t72 = t15*t98*spbk7k1*spbk8k6
      t15 = t15*t98*spbk7k6*spbk8k1
      t73 = t27*t98*spbk5k1*spbk8k6
      t28 = t28*t98*spbk8k5
      t74 = t31*t98*spbk5k1*spbk8k6
      t32 = t32*t98*spbk8k5
      t75 = t27*t98*spbk7k1*spbk8k6
      t27 = t27*t98*spbk7k6*spbk8k1
      t76 = t31*t98*spbk7k1*spbk8k6
      t31 = t31*t98*spbk7k6*spbk8k1
      t77 = t1*NC
      t78 = t77*es234*es34
      t12 = t12/t78
      t19 = t19/t78
      t23 = t23/t78
      t25 = t25/t78
      t29 = t29/t78
      t33 = t33/t78
      t37 = t37/t78
      t39 = t39/t78
      t43 = t43/t78
      t45 = t45/t78
      t57 = t57/t78
      t59 = t59/t78
      diagrams(8, :) = (spak2k3*i_*TR*(4.0_ki)*((((-(t19+t12))*spak1k5+(-(t25+t2&
      &3))*spak5k8+(t21/t78+t22/t78)*spak4k5)*spak2k7+((t29+t33)*spak1k5+(t37+t3&
      &9)*spak5k8+(-(t36/t78+t35/t78))*spak4k5)*spak3k7+((t12+t19)*spak1k7+(t43+&
      &t45)*spak6k7+(-(t42/t78+t41/t78))*spak4k7+(t47/t78+t49/t78-(t50/t78+t48/t&
      &78))*spak2k7+(t52/t78+t54/t78-(t53/t78+t51/t78))*spak3k7)*spak2k5+((-(t33&
      &+t29))*spak1k7+(-(t59+t57))*spak6k7+(t55/t78+t56/t78)*spak4k7+(t61/t78+t6&
      &3/t78-(t64/t78+t62/t78))*spak2k7+(t65/t78+t67/t78-(t68/t78+t66/t78))*spak&
      &3k7)*spak3k5+((t23+t25)*spak2k8+(-(t39+t37))*spak3k8+(-(t45+t43))*spak2k6&
      &+(t57+t59)*spak3k6+(t71/t78+t72/t78-(t7/t78+t15/t78))*spak2k7+(t17/t78+t9&
      &/t78-(t70/t78+t69/t78))*spak2k5+(t27/t78+t31/t78-(t76/t78+t75/t78))*spak3&
      &k7+(t73/t78+t74/t78-(t32/t78+t28/t78))*spak3k5)*spak5k7)*c1+(((t13+t20)*s&
      &pak1k5+(t24+t26)*spak5k8+(-(t22/t2+t21/t2))*spak4k5)*spak2k7+((-(t34+t30)&
      &)*spak1k5+(-(t40+t38))*spak5k8+(t35/t2+t36/t2)*spak4k5)*spak3k7+((-(t20+t&
      &13))*spak1k7+(-(t46+t44))*spak6k7+(t41/t2+t42/t2)*spak4k7+(t48/t2+t50/t2-&
      &(t49/t2+t47/t2))*spak2k7+(t51/t2+t53/t2-(t54/t2+t52/t2))*spak3k7)*spak2k5&
      &+((t30+t34)*spak1k7+(t58+t60)*spak6k7+(-(t56/t2+t55/t2))*spak4k7+(t62/t2+&
      &t64/t2-(t63/t2+t61/t2))*spak2k7+(t66/t2+t68/t2-(t67/t2+t65/t2))*spak3k7)*&
      &spak3k5+((-(t26+t24))*spak2k8+(t38+t40)*spak3k8+(t44+t46)*spak2k6+(-(t60+&
      &t58))*spak3k6+(t15/t2+t7/t2-(t72/t2+t71/t2))*spak2k7+(t69/t2+t70/t2-(t9/t&
      &2+t17/t2))*spak2k5+(t75/t2+t76/t2-(t31/t2+t27/t2))*spak3k7+(t28/t2+t32/t2&
      &-(t74/t2+t73/t2))*spak3k5)*spak5k7)*c2))
      t2 = t98*spak1k5*spbk4k2*spbk6k1*spbk8k1
      t7 = t5*es1234*es234*es34
      t9 = t98*spak4k5*spbk4k2*spbk6k4*spbk8k1
      t12 = t98*spak5k8*spbk4k2*spbk8k1*spbk8k6
      t13 = t98*spak1k5*spbk4k3*spbk6k1*spbk8k1
      t15 = t98*spak4k5*spbk4k3*spbk6k4*spbk8k1
      t17 = t98*spak5k8*spbk4k3*spbk8k1*spbk8k6
      t19 = spbk4k2*spbk6k1
      t20 = t19*t98*spbk8k2
      t21 = t98*spbk4k2*spbk6k2*spbk8k1
      t22 = t19*t98*spbk8k3
      t23 = t98*spbk4k3*spbk6k2*spbk8k1
      t24 = t98*spak1k7*spbk4k2*spbk6k1*spbk8k1
      t25 = t98*spak4k7*spbk4k2*spbk6k1*spbk8k4
      t26 = t98*spak6k7*spbk4k2*spbk6k1*spbk8k6
      t27 = t98*spbk4k2*spbk6k3*spbk8k1
      t28 = spbk4k3*spbk6k1
      t29 = t28*t98*spbk8k2
      t30 = t28*t98*spbk8k3
      t31 = t98*spbk4k3*spbk6k3*spbk8k1
      t32 = t98*spak1k7*spbk4k3*spbk6k1*spbk8k1
      t33 = t98*spak4k7*spbk4k3*spbk6k1*spbk8k4
      t34 = t98*spak6k7*spbk4k3*spbk6k1*spbk8k6
      t35 = t98*spbk4k2*spbk5k1*spbk8k6
      t19 = t19*t98*spbk8k5
      t36 = t98*spbk4k2*spbk7k1*spbk8k6
      t37 = t98*spbk4k2*spbk7k6*spbk8k1
      t38 = t98*spbk4k3*spbk5k1*spbk8k6
      t28 = t28*t98*spbk8k5
      t39 = t98*spbk4k3*spbk7k1*spbk8k6
      t40 = t98*spbk4k3*spbk7k6*spbk8k1
      t41 = t98*spak2k6*spbk4k2*spbk6k1*spbk8k6
      t42 = t98*spak2k8*spbk4k2*spbk8k1*spbk8k6
      t43 = t98*spak3k6*spbk4k3*spbk6k1*spbk8k6
      t44 = t98*spak3k8*spbk4k3*spbk8k1*spbk8k6
      t45 = t5*NC
      t46 = t45*es1234*es234*es34
      diagrams(7, :) = (spak2k3*i_*TR*(8.0_ki/3.0_ki)*(((t12/t46+t2/t46-t9/t46)*&
      &spak2k7+(t15/t46-(t17/t46+t13/t46))*spak3k7+((t21/t46-t20/t46)*spak2k7+(t&
      &22/t46-t23/t46)*spak3k7+t25/t46-(t26/t46+t24/t46))*spak2k5+((t29/t46-t27/&
      &t46)*spak2k7+(t31/t46-t30/t46)*spak3k7+t32/t46+t34/t46-t33/t46)*spak3k5+(&
      &(t35/t46-t19/t46)*spak2k5+(t28/t46-t38/t46)*spak3k5+(t37/t46-t36/t46)*spa&
      &k2k7+(t39/t46-t40/t46)*spak3k7+t41/t46+t44/t46-(t43/t46+t42/t46))*spak5k7&
      &)*c1+((t9/t7-(t2/t7+t12/t7))*spak2k7+(t13/t7+t17/t7-t15/t7)*spak3k7+((t20&
      &/t7-t21/t7)*spak2k7+(t23/t7-t22/t7)*spak3k7+t24/t7+t26/t7-t25/t7)*spak2k5&
      &+((t27/t7-t29/t7)*spak2k7+(t30/t7-t31/t7)*spak3k7+t33/t7-(t34/t7+t32/t7))&
      &*spak3k5+((t19/t7-t35/t7)*spak2k5+(t38/t7-t28/t7)*spak3k5+(t36/t7-t37/t7)&
      &*spak2k7+(t40/t7-t39/t7)*spak3k7+t42/t7+t43/t7-(t44/t7+t41/t7))*spak5k7)*&
      &c2))
      t2 = t95*spbk4k1
      t7 = t2*spbk6k1
      t9 = t7*t98*spbk8k6
      t12 = t1*t96
      t13 = t12*es34
      t15 = t9/t13
      t17 = t99*spbk4k1
      t19 = t17*spbk6k1
      t20 = t19*t98*spbk8k6
      t21 = t20/t13
      t22 = t2*t98*spbk8k1*spbk8k6
      t23 = t22/t13
      t24 = t17*t98*spbk8k1*spbk8k6
      t25 = t24/t13
      t26 = t7*t98*spbk8k1
      t27 = t26/t13
      t28 = t19*t98*spbk8k1
      t29 = t28/t13
      t30 = t2*spbk6k3
      t31 = t30*t98*spbk8k1
      t32 = t17*spbk6k3
      t33 = t32*t98*spbk8k1
      t34 = t2*spbk6k4
      t35 = t34*t98*spbk8k1
      t36 = t17*spbk6k4
      t37 = t36*t98*spbk8k1
      t38 = t35/t13+t37/t13
      t39 = t2*t98*spbk7k1*spbk8k6
      t40 = t2*spbk7k6
      t41 = t40*t98*spbk8k1
      t42 = t17*t98*spbk7k1*spbk8k6
      t43 = t17*spbk7k6
      t44 = t43*t98*spbk8k1
      t46 = t7*t98*spbk8k3
      t47 = t19*t98*spbk8k3
      t48 = t7*t98*spbk8k4
      t49 = t19*t98*spbk8k4
      t50 = -(t49/t13+t48/t13)
      t51 = t2*t98*spbk5k1*spbk8k6
      t52 = t7*t98*spbk8k5
      t53 = t17*t98*spbk5k1*spbk8k6
      t54 = t19*t98*spbk8k5
      t7 = t7*t98*spbk8k2
      t55 = t2*spbk6k2
      t56 = t55*t98*spbk8k1
      t19 = t19*t98*spbk8k2
      t57 = t17*spbk6k2
      t58 = t57*t98*spbk8k1
      t59 = t34*t98*spbk8k6
      t60 = t59/t13
      t61 = t36*t98*spbk8k6
      t62 = t61/t13
      t63 = t2*t98*spbk8k4*spbk8k6
      t64 = t63/t13
      t65 = t17*t98*spbk8k4*spbk8k6
      t66 = t65/t13
      t30 = t30*t98*spbk8k4
      t32 = t32*t98*spbk8k4
      t67 = t34*t98*spbk8k4
      t68 = t67/t13
      t69 = t36*t98*spbk8k4
      t70 = t69/t13
      t71 = t2*t98*spbk7k4*spbk8k6
      t40 = t40*t98*spbk8k4
      t72 = t17*t98*spbk7k4*spbk8k6
      t43 = t43*t98*spbk8k4
      t73 = t34*t98*spbk8k3
      t74 = t36*t98*spbk8k3
      t2 = t2*t98*spbk5k4*spbk8k6
      t75 = t34*t98*spbk8k5
      t17 = t17*t98*spbk5k4*spbk8k6
      t76 = t36*t98*spbk8k5
      t55 = t55*t98*spbk8k4
      t34 = t34*t98*spbk8k2
      t57 = t57*t98*spbk8k4
      t36 = t36*t98*spbk8k2
      t12 = t12*NC*es34
      t9 = t9/t12
      t20 = t20/t12
      t22 = t22/t12
      t24 = t24/t12
      t26 = t26/t12
      t28 = t28/t12
      t35 = -(t37/t12+t35/t12)
      t37 = t48/t12+t49/t12
      t48 = t59/t12
      t49 = t61/t12
      t59 = t63/t12
      t61 = t65/t12
      t63 = t67/t12
      t65 = t69/t12
      diagrams(6, :) = (i_*TR*(4.0_ki)*(((((-(t21+t15))*spak2k6+(t23+t25)*spak2k&
      &8)*spak5k7+((-(t25+t23))*spak5k8+(-(t29+t27))*spak1k5+(t31/t13+t33/t13)*s&
      &pak3k5+(t39/t13+t42/t13-(t44/t13+t41/t13))*spak5k7+t38*spak4k5)*spak2k7+(&
      &(t15+t21)*spak6k7+(t27+t29)*spak1k7+(-(t47/t13+t46/t13))*spak3k7+(t19/t13&
      &+t7/t13-(t58/t13+t56/t13))*spak2k7+(t52/t13+t54/t13-(t53/t13+t51/t13))*sp&
      &ak5k7+t50*spak4k7)*spak2k5)*spak1k3+(((-(t62+t60))*spak2k6+(t64+t66)*spak&
      &2k8)*spak5k7+((-(t66+t64))*spak5k8+(t68+t70)*spak4k5+(t30/t13+t32/t13)*sp&
      &ak3k5+(t71/t13+t72/t13-(t43/t13+t40/t13))*spak5k7+t50*spak1k5)*spak2k7+((&
      &t60+t62)*spak6k7+(-(t70+t68))*spak4k7+(-(t74/t13+t73/t13))*spak3k7+(t75/t&
      &13+t76/t13-(t2/t13+t17/t13))*spak5k7+(t34/t13+t36/t13-(t57/t13+t55/t13))*&
      &spak2k7+t38*spak1k7)*spak2k5)*spak3k4)*c2+((((t20+t9)*spak2k6+(-(t24+t22)&
      &)*spak2k8)*spak5k7+((t22+t24)*spak5k8+(t26+t28)*spak1k5+(-(t33/t12+t31/t1&
      &2))*spak3k5+(t41/t12+t44/t12-(t42/t12+t39/t12))*spak5k7+t35*spak4k5)*spak&
      &2k7+((-(t9+t20))*spak6k7+(-(t28+t26))*spak1k7+(t46/t12+t47/t12)*spak3k7+(&
      &t56/t12+t58/t12-(t7/t12+t19/t12))*spak2k7+(t51/t12+t53/t12-(t54/t12+t52/t&
      &12))*spak5k7+t37*spak4k7)*spak2k5)*spak1k3+(((t48+t49)*spak2k6+(-(t61+t59&
      &))*spak2k8)*spak5k7+((t59+t61)*spak5k8+(-(t65+t63))*spak4k5+(-(t32/t12+t3&
      &0/t12))*spak3k5+(t40/t12+t43/t12-(t72/t12+t71/t12))*spak5k7+t37*spak1k5)*&
      &spak2k7+((-(t49+t48))*spak6k7+(t63+t65)*spak4k7+(t73/t12+t74/t12)*spak3k7&
      &+(t17/t12+t2/t12-(t76/t12+t75/t12))*spak5k7+(t55/t12+t57/t12-(t36/t12+t34&
      &/t12))*spak2k7+t35*spak1k7)*spak2k5)*spak3k4)*c1))
      t2 = spak2k6*spbk4k1
      t7 = t2*t98*spbk6k1*spbk8k6
      t9 = t6*es1234*es34
      t12 = spak2k8*spbk4k1
      t13 = t12*t98*spbk8k1*spbk8k6
      t15 = t98*spbk4k1*spbk7k1*spbk8k6
      t17 = spbk4k1*spbk7k6
      t19 = t17*t98*spbk8k1
      t20 = spak1k5*spbk4k1*spbk6k1
      t21 = t20*t98*spbk8k1
      t22 = spak3k5*spbk4k1*spbk6k3
      t23 = t22*t98*spbk8k1
      t24 = spak4k5*spbk4k1*spbk6k4
      t25 = t24*t98*spbk8k1
      t26 = spak5k8*spbk4k1
      t27 = t26*t98*spbk8k1*spbk8k6
      t28 = t98*spbk4k1*spbk5k1*spbk8k6
      t29 = spbk4k1*spbk6k1
      t30 = t29*t98*spbk8k5
      t31 = t29*t98*spbk8k2
      t32 = spbk4k1*spbk6k2
      t33 = t32*t98*spbk8k1
      t34 = spak1k7*spbk4k1
      t35 = t34*t98*spbk6k1*spbk8k1
      t18 = t18*t98*spbk8k3
      t11 = t11*t98
      t36 = spak6k7*spbk4k1
      t37 = t36*t98*spbk6k1*spbk8k6
      t2 = t2*t98*spbk6k4*spbk8k6
      t12 = t12*t98*spbk8k4*spbk8k6
      t38 = t98*spbk4k1*spbk7k4*spbk8k6
      t17 = t17*t98*spbk8k4
      t20 = t20*t98*spbk8k4
      t22 = t22*t98*spbk8k4
      t24 = t24*t98*spbk8k4
      t26 = t26*t98*spbk8k4*spbk8k6
      t39 = t98*spbk4k1*spbk5k4*spbk8k6
      t40 = spbk4k1*spbk6k4
      t41 = t40*t98*spbk8k5
      t32 = t32*t98*spbk8k4
      t42 = t40*t98*spbk8k2
      t34 = t34*t98*spbk6k4*spbk8k1
      t16 = t16*t98*spbk6k4*spbk8k3
      t3 = t3*t98*spbk6k4*spbk8k4
      t36 = t36*t98*spbk6k4*spbk8k6
      t6 = t6*NC*es1234*es34
      diagrams(5, :) = (i_*TR*(8.0_ki/3.0_ki)*((((t12/t6-t2/t6)*spak5k7+((t38/t6&
      &-t17/t6)*spak5k7+t22/t6+t24/t6-(t26/t6+t20/t6))*spak2k7+((t42/t6-t32/t6)*&
      &spak2k7+(t41/t6-t39/t6)*spak5k7+t34/t6+t36/t6-(t3/t6+t16/t6))*spak2k5)*sp&
      &ak3k4+((t13/t6-t7/t6)*spak5k7+((t15/t6-t19/t6)*spak5k7+t23/t6+t25/t6-(t27&
      &/t6+t21/t6))*spak2k7+((t30/t6-t28/t6)*spak5k7+(t31/t6-t33/t6)*spak2k7+t35&
      &/t6+t37/t6-(t18/t6+t11/t6))*spak2k5)*spak1k3)*c1+(((t2/t9-t12/t9)*spak5k7&
      &+((t17/t9-t38/t9)*spak5k7+t20/t9+t26/t9-(t24/t9+t22/t9))*spak2k7+((t32/t9&
      &-t42/t9)*spak2k7+(t39/t9-t41/t9)*spak5k7+t16/t9+t3/t9-(t36/t9+t34/t9))*sp&
      &ak2k5)*spak3k4+((t7/t9-t13/t9)*spak5k7+((t19/t9-t15/t9)*spak5k7+t21/t9+t2&
      &7/t9-(t25/t9+t23/t9))*spak2k7+((t28/t9-t30/t9)*spak5k7+(t33/t9-t31/t9)*sp&
      &ak2k7+t11/t9+t18/t9-(t37/t9+t35/t9))*spak2k5)*spak1k3)*c2))
      t95 = gDa*gWWZ
      t2 = t95*spbk4k1
      t6 = t2*spbk6k1
      t7 = t6*t98*spbk8k6
      t9 = t1*t97
      t12 = t9*es12
      t13 = t7/t12
      t96 = gDv*gWWZ
      t16 = t96*spbk4k1
      t18 = t16*spbk6k1
      t22 = t18*t98*spbk8k6
      t23 = t22/t12
      t31 = t2*t98*spbk8k1*spbk8k6
      t32 = t31/t12
      t33 = t16*t98*spbk8k1*spbk8k6
      t42 = t33/t12
      t43 = t6*t98*spbk8k1
      t44 = t43/t12
      t46 = t18*t98*spbk8k1
      t47 = t46/t12
      t48 = t2*spbk6k2
      t49 = t48*t98*spbk8k1
      t50 = t16*spbk6k2
      t51 = t50*t98*spbk8k1
      t52 = t2*spbk6k4
      t53 = t52*t98*spbk8k1
      t54 = t16*spbk6k4
      t55 = t54*t98*spbk8k1
      t56 = -(t55/t12+t53/t12)
      t57 = t2*t98*spbk7k1*spbk8k6
      t58 = t2*spbk7k6
      t59 = t58*t98*spbk8k1
      t60 = t16*t98*spbk7k1*spbk8k6
      t61 = t16*spbk7k6
      t62 = t61*t98*spbk8k1
      t63 = t6*t98*spbk8k2
      t64 = t18*t98*spbk8k2
      t65 = t6*t98*spbk8k4
      t66 = t18*t98*spbk8k4
      t67 = t65/t12+t66/t12
      t68 = t2*t98*spbk5k1*spbk8k6
      t69 = t6*t98*spbk8k5
      t70 = t16*t98*spbk5k1*spbk8k6
      t71 = t18*t98*spbk8k5
      t6 = t6*t98*spbk8k3
      t72 = t2*spbk6k3
      t73 = t72*t98*spbk8k1
      t18 = t18*t98*spbk8k3
      t74 = t16*spbk6k3
      t75 = t74*t98*spbk8k1
      t76 = t52*t98*spbk8k6
      t78 = t76/t12
      t79 = t54*t98*spbk8k6
      t80 = t79/t12
      t81 = t2*t98*spbk8k4*spbk8k6
      t82 = t81/t12
      t83 = t16*t98*spbk8k4*spbk8k6
      t84 = t83/t12
      t48 = t48*t98*spbk8k4
      t50 = t50*t98*spbk8k4
      t85 = t52*t98*spbk8k4
      t86 = t85/t12
      t87 = t54*t98*spbk8k4
      t88 = t87/t12
      t89 = t2*t98*spbk7k4*spbk8k6
      t58 = t58*t98*spbk8k4
      t90 = t16*t98*spbk7k4*spbk8k6
      t61 = t61*t98*spbk8k4
      t91 = t52*t98*spbk8k2
      t92 = t54*t98*spbk8k2
      t2 = t2*t98*spbk5k4*spbk8k6
      t93 = t52*t98*spbk8k5
      t16 = t16*t98*spbk5k4*spbk8k6
      t94 = t54*t98*spbk8k5
      t72 = t72*t98*spbk8k4
      t52 = t52*t98*spbk8k3
      t74 = t74*t98*spbk8k4
      t54 = t54*t98*spbk8k3
      t9 = t9*NC*es12
      t7 = t7/t9
      t22 = t22/t9
      t31 = t31/t9
      t33 = t33/t9
      t43 = t43/t9
      t46 = t46/t9
      t53 = t53/t9+t55/t9
      t55 = -(t66/t9+t65/t9)
      t65 = t76/t9
      t66 = t79/t9
      t76 = t81/t9
      t79 = t83/t9
      t81 = t85/t9
      t83 = t87/t9
      diagrams(4, :) = (i_*TR*(4.0_ki)*(((((t13+t23)*spak3k6+(-(t42+t32))*spak3k&
      &8)*spak5k7+((t32+t42)*spak5k8+(t44+t47)*spak1k5+(t49/t12+t51/t12)*spak2k5&
      &+(t59/t12+t62/t12-(t60/t12+t57/t12))*spak5k7+t56*spak4k5)*spak3k7+((-(t23&
      &+t13))*spak6k7+(-(t47+t44))*spak1k7+(-(t64/t12+t63/t12))*spak2k7+(t18/t12&
      &+t6/t12-(t75/t12+t73/t12))*spak3k7+(t68/t12+t70/t12-(t71/t12+t69/t12))*sp&
      &ak5k7+t67*spak4k7)*spak3k5)*spak1k2+(((t78+t80)*spak3k6+(-(t84+t82))*spak&
      &3k8)*spak5k7+((t82+t84)*spak5k8+(-(t88+t86))*spak4k5+(t48/t12+t50/t12)*sp&
      &ak2k5+(t58/t12+t61/t12-(t90/t12+t89/t12))*spak5k7+t67*spak1k5)*spak3k7+((&
      &-(t80+t78))*spak6k7+(t86+t88)*spak4k7+(-(t92/t12+t91/t12))*spak2k7+(t16/t&
      &12+t2/t12-(t94/t12+t93/t12))*spak5k7+(t52/t12+t54/t12-(t74/t12+t72/t12))*&
      &spak3k7+t56*spak1k7)*spak3k5)*spak2k4)*c2+((((-(t7+t22))*spak3k6+(t31+t33&
      &)*spak3k8)*spak5k7+((-(t33+t31))*spak5k8+(-(t46+t43))*spak1k5+(-(t51/t9+t&
      &49/t9))*spak2k5+(t57/t9+t60/t9-(t62/t9+t59/t9))*spak5k7+t53*spak4k5)*spak&
      &3k7+((t22+t7)*spak6k7+(t43+t46)*spak1k7+(t63/t9+t64/t9)*spak2k7+(t73/t9+t&
      &75/t9-(t6/t9+t18/t9))*spak3k7+(t69/t9+t71/t9-(t70/t9+t68/t9))*spak5k7+t55&
      &*spak4k7)*spak3k5)*spak1k2+(((-(t66+t65))*spak3k6+(t76+t79)*spak3k8)*spak&
      &5k7+((-(t79+t76))*spak5k8+(t81+t83)*spak4k5+(-(t50/t9+t48/t9))*spak2k5+(t&
      &89/t9+t90/t9-(t61/t9+t58/t9))*spak5k7+t55*spak1k5)*spak3k7+((t65+t66)*spa&
      &k6k7+(-(t83+t81))*spak4k7+(t91/t9+t92/t9)*spak2k7+(t93/t9+t94/t9-(t2/t9+t&
      &16/t9))*spak5k7+(t72/t9+t74/t9-(t54/t9+t52/t9))*spak3k7+t53*spak1k7)*spak&
      &3k5)*spak2k4)*c1))
      t2 = spak3k6*spbk4k1
      t6 = t2*t98*spbk6k1*spbk8k6
      t7 = t8*es12*es1234
      t9 = spak3k8*spbk4k1
      t12 = t9*t98*spbk8k1*spbk8k6
      t13 = t14*spbk6k2
      t14 = t13*t98*spbk8k1
      t16 = t29*t98*spbk8k3
      t18 = spbk4k1*spbk6k3
      t22 = t18*t98*spbk8k1
      t23 = spak2k7*spbk4k1
      t29 = t23*t98*spbk6k1*spbk8k2
      t2 = t2*t98*spbk6k4*spbk8k6
      t9 = t9*t98*spbk8k4*spbk8k6
      t13 = t13*t98*spbk8k4
      t18 = t18*t98*spbk8k4
      t31 = t40*t98*spbk8k3
      t23 = t23*t98*spbk6k4*spbk8k2
      t8 = t8*NC*es12*es1234
      diagrams(3, :) = (i_*TR*(4.0_ki/3.0_ki)*((((t6/t7-t12/t7)*spak5k7+((t19/t7&
      &-t15/t7)*spak5k7+t14/t7+t21/t7+t27/t7-t25/t7)*spak3k7+((t16/t7-t22/t7)*sp&
      &ak3k7+(t28/t7-t30/t7)*spak5k7+t11/t7-(t37/t7+t35/t7+t29/t7))*spak3k5)*spa&
      &k1k2+((t2/t7-t9/t7)*spak5k7+((t17/t7-t38/t7)*spak5k7+t13/t7+t20/t7+t26/t7&
      &-t24/t7)*spak3k7+((t31/t7-t18/t7)*spak3k7+(t39/t7-t41/t7)*spak5k7+t3/t7-(&
      &t36/t7+t34/t7+t23/t7))*spak3k5)*spak2k4)*c2+(((t12/t8-t6/t8)*spak5k7+((t1&
      &5/t8-t19/t8)*spak5k7+t25/t8-(t27/t8+t21/t8+t14/t8))*spak3k7+((t22/t8-t16/&
      &t8)*spak3k7+(t30/t8-t28/t8)*spak5k7+t29/t8+t35/t8+t37/t8-t11/t8)*spak3k5)&
      &*spak1k2+((t9/t8-t2/t8)*spak5k7+((t38/t8-t17/t8)*spak5k7+t24/t8-(t26/t8+t&
      &20/t8+t13/t8))*spak3k7+((t18/t8-t31/t8)*spak3k7+(t41/t8-t39/t8)*spak5k7+t&
      &23/t8+t34/t8+t36/t8-t3/t8)*spak3k5)*spak2k4)*c1))
      t2 = t95*spbk2k1
      t3 = t2*t98*spbk6k1*spbk8k4
      t1 = t1*es12*es123
      t6 = t96*spbk2k1
      t7 = t6*t98*spbk6k1*spbk8k4
      t8 = t2*spbk6k4
      t9 = t8*t98*spbk8k4
      t11 = t9/t1
      t12 = t6*spbk6k4
      t13 = t12*t98*spbk8k4
      t14 = t13/t1
      t15 = t2*t98*spbk8k4*spbk8k6
      t16 = t15/t1
      t17 = t6*t98*spbk8k4*spbk8k6
      t18 = t17/t1
      t19 = t95*spbk3k1
      t20 = t19*t98*spbk6k1*spbk8k4
      t21 = t96*spbk3k1
      t22 = t21*t98*spbk6k1*spbk8k4
      t23 = t19*spbk6k4
      t24 = t23*t98*spbk8k4
      t25 = t24/t1
      t26 = t21*spbk6k4
      t27 = t26*t98*spbk8k4
      t28 = t27/t1
      t29 = t19*t98*spbk8k4*spbk8k6
      t30 = t29/t1
      t31 = t21*t98*spbk8k4*spbk8k6
      t32 = t31/t1
      t33 = t8*t98*spbk8k1
      t34 = t12*t98*spbk8k1
      t35 = t8*t98*spbk8k6
      t36 = t35/t1
      t37 = t12*t98*spbk8k6
      t38 = t37/t1
      t39 = t2*t98*spbk6k2*spbk8k4
      t40 = t8*t98*spbk8k2
      t41 = t6*t98*spbk6k2*spbk8k4
      t42 = t12*t98*spbk8k2
      t43 = t8*t98*spbk8k3
      t44 = t19*t98*spbk6k2*spbk8k4
      t46 = t12*t98*spbk8k3
      t47 = t21*t98*spbk6k2*spbk8k4
      t48 = t23*t98*spbk8k1
      t49 = t26*t98*spbk8k1
      t50 = t23*t98*spbk8k6
      t51 = t50/t1
      t52 = t26*t98*spbk8k6
      t53 = t52/t1
      t54 = t2*t98*spbk6k3*spbk8k4
      t55 = t23*t98*spbk8k2
      t56 = t6*t98*spbk6k3*spbk8k4
      t57 = t26*t98*spbk8k2
      t58 = t19*t98*spbk6k3*spbk8k4
      t59 = t23*t98*spbk8k3
      t60 = t21*t98*spbk6k3*spbk8k4
      t61 = t26*t98*spbk8k3
      t62 = t2*t98*spbk5k4*spbk8k6
      t8 = t8*t98*spbk8k5
      t63 = t6*t98*spbk5k4*spbk8k6
      t12 = t12*t98*spbk8k5
      t64 = t2*t98*spbk7k4*spbk8k6
      t2 = t2*t98*spbk7k6*spbk8k4
      t65 = t6*t98*spbk7k4*spbk8k6
      t6 = t6*t98*spbk7k6*spbk8k4
      t66 = t19*t98*spbk5k4*spbk8k6
      t23 = t23*t98*spbk8k5
      t67 = t21*t98*spbk5k4*spbk8k6
      t26 = t26*t98*spbk8k5
      t68 = t19*t98*spbk7k4*spbk8k6
      t19 = t19*t98*spbk7k6*spbk8k4
      t69 = t21*t98*spbk7k4*spbk8k6
      t21 = t21*t98*spbk7k6*spbk8k4
      t70 = t77*es12*es123
      t9 = t9/t70
      t13 = t13/t70
      t15 = t15/t70
      t17 = t17/t70
      t24 = t24/t70
      t27 = t27/t70
      t29 = t29/t70
      t31 = t31/t70
      t35 = t35/t70
      t37 = t37/t70
      t50 = t50/t70
      t52 = t52/t70
      diagrams(2, :) = (spak2k3*i_*TR*(4.0_ki)*((((-(t14+t11))*spak4k5+(t16+t18)&
      &*spak5k8+(t3/t1+t7/t1)*spak1k5)*spak2k7+((t25+t28)*spak4k5+(-(t32+t30))*s&
      &pak5k8+(-(t22/t1+t20/t1))*spak1k5)*spak3k7+((t11+t14)*spak4k7+(-(t38+t36)&
      &)*spak6k7+(-(t34/t1+t33/t1))*spak1k7+(t39/t1+t41/t1-(t42/t1+t40/t1))*spak&
      &2k7+(t43/t1+t46/t1-(t47/t1+t44/t1))*spak3k7)*spak2k5+((-(t28+t25))*spak4k&
      &7+(t51+t53)*spak6k7+(t48/t1+t49/t1)*spak1k7+(t55/t1+t57/t1-(t56/t1+t54/t1&
      &))*spak2k7+(t58/t1+t60/t1-(t61/t1+t59/t1))*spak3k7)*spak3k5+((-(t18+t16))&
      &*spak2k8+(t30+t32)*spak3k8+(t36+t38)*spak2k6+(-(t53+t51))*spak3k6+(t62/t1&
      &+t63/t1-(t8/t1+t12/t1))*spak2k5+(t68/t1+t69/t1-(t21/t1+t19/t1))*spak3k7+(&
      &t2/t1+t6/t1-(t65/t1+t64/t1))*spak2k7+(t23/t1+t26/t1-(t67/t1+t66/t1))*spak&
      &3k5)*spak5k7)*c2+(((t13+t9)*spak4k5+(-(t17+t15))*spak5k8+(-(t7/t70+t3/t70&
      &))*spak1k5)*spak2k7+((-(t27+t24))*spak4k5+(t29+t31)*spak5k8+(t20/t70+t22/&
      &t70)*spak1k5)*spak3k7+((-(t9+t13))*spak4k7+(t35+t37)*spak6k7+(t33/t70+t34&
      &/t70)*spak1k7+(t40/t70+t42/t70-(t41/t70+t39/t70))*spak2k7+(t44/t70+t47/t7&
      &0-(t46/t70+t43/t70))*spak3k7)*spak2k5+((t24+t27)*spak4k7+(-(t52+t50))*spa&
      &k6k7+(-(t49/t70+t48/t70))*spak1k7+(t54/t70+t56/t70-(t57/t70+t55/t70))*spa&
      &k2k7+(t59/t70+t61/t70-(t60/t70+t58/t70))*spak3k7)*spak3k5+((t15+t17)*spak&
      &2k8+(-(t31+t29))*spak3k8+(-(t37+t35))*spak2k6+(t50+t52)*spak3k6+(t12/t70+&
      &t8/t70-(t63/t70+t62/t70))*spak2k5+(t19/t70+t21/t70-(t69/t70+t68/t70))*spa&
      &k3k7+(t64/t70+t65/t70-(t6/t70+t2/t70))*spak2k7+(t66/t70+t67/t70-(t26/t70+&
      &t23/t70))*spak3k5)*spak5k7)*c1))
      t1 = t98*spak1k5*spbk2k1*spbk6k1*spbk8k4
      t2 = t5*es12*es123*es1234
      t3 = t98*spak4k5*spbk2k1*spbk6k4*spbk8k4
      t5 = t98*spak5k8*spbk2k1*spbk8k4*spbk8k6
      t6 = t98*spak1k5*spbk3k1*spbk6k1*spbk8k4
      t7 = t98*spak4k5*spbk3k1*spbk6k4*spbk8k4
      t8 = t98*spak5k8*spbk3k1*spbk8k4*spbk8k6
      t9 = t98*spbk2k1*spbk6k2*spbk8k4
      t11 = spbk2k1*spbk6k4
      t12 = t11*t98*spbk8k2
      t13 = t11*t98*spbk8k3
      t14 = t98*spbk3k1*spbk6k2*spbk8k4
      t15 = t98*spak1k7*spbk2k1*spbk6k4*spbk8k1
      t4 = t4*t98
      t16 = t98*spak6k7*spbk2k1*spbk6k4*spbk8k6
      t17 = t98*spbk2k1*spbk6k3*spbk8k4
      t18 = spbk3k1*spbk6k4
      t19 = t18*t98*spbk8k2
      t20 = t98*spbk3k1*spbk6k3*spbk8k4
      t21 = t18*t98*spbk8k3
      t22 = t98*spak1k7*spbk3k1*spbk6k4*spbk8k1
      t10 = t10*t98
      t23 = t98*spak6k7*spbk3k1*spbk6k4*spbk8k6
      t24 = t98*spbk2k1*spbk5k4*spbk8k6
      t11 = t11*t98*spbk8k5
      t25 = t98*spbk2k1*spbk7k4*spbk8k6
      t26 = t98*spbk2k1*spbk7k6*spbk8k4
      t27 = t98*spbk3k1*spbk5k4*spbk8k6
      t18 = t18*t98*spbk8k5
      t28 = t98*spbk3k1*spbk7k4*spbk8k6
      t29 = t98*spbk3k1*spbk7k6*spbk8k4
      t30 = t98*spak2k6*spbk2k1*spbk6k4*spbk8k6
      t31 = t98*spak2k8*spbk2k1*spbk8k4*spbk8k6
      t32 = t98*spak3k6*spbk3k1*spbk6k4*spbk8k6
      t33 = t98*spak3k8*spbk3k1*spbk8k4*spbk8k6
      t34 = t45*es12*es123*es1234
      diagrams(1, :) = (spak2k3*i_*TR*(4.0_ki/3.0_ki)*(((t1/t2+t5/t2-t3/t2)*spak&
      &2k7+(t7/t2-(t8/t2+t6/t2))*spak3k7+((t9/t2-t12/t2)*spak2k7+(t13/t2-t14/t2)&
      &*spak3k7+t4/t2-(t16/t2+t15/t2))*spak2k5+((t19/t2-t17/t2)*spak2k7+(t20/t2-&
      &t21/t2)*spak3k7+t22/t2+t23/t2-t10/t2)*spak3k5+((t24/t2-t11/t2)*spak2k5+(t&
      &18/t2-t27/t2)*spak3k5+(t26/t2-t25/t2)*spak2k7+(t28/t2-t29/t2)*spak3k7+t30&
      &/t2+t33/t2-(t32/t2+t31/t2))*spak5k7)*c2+((t3/t34-(t5/t34+t1/t34))*spak2k7&
      &+(t6/t34+t8/t34-t7/t34)*spak3k7+((t12/t34-t9/t34)*spak2k7+(t14/t34-t13/t3&
      &4)*spak3k7+t15/t34+t16/t34-t4/t34)*spak2k5+((t17/t34-t19/t34)*spak2k7+(t2&
      &1/t34-t20/t34)*spak3k7+t10/t34-(t23/t34+t22/t34))*spak3k5+((t11/t34-t24/t&
      &34)*spak2k5+(t27/t34-t18/t34)*spak3k5+(t25/t34-t26/t34)*spak2k7+(t29/t34-&
      &t28/t34)*spak3k7+t31/t34+t32/t34-(t33/t34+t30/t34))*spak5k7)*c1))
      if (debug_lo_diagrams) then
      
         call inspect_lo_diagram(diagrams(1,:), 1, 3, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 3, 19)
         call inspect_lo_diagram(diagrams(3,:), 3, 3, 19)
         call inspect_lo_diagram(diagrams(4,:), 4, 3, 19)
         call inspect_lo_diagram(diagrams(5,:), 5, 3, 19)
         call inspect_lo_diagram(diagrams(6,:), 6, 3, 19)
         call inspect_lo_diagram(diagrams(7,:), 7, 3, 19)
         call inspect_lo_diagram(diagrams(8,:), 8, 3, 19)
         call inspect_lo_diagram(diagrams(9,:), 9, 3, 19)
         call inspect_lo_diagram(diagrams(10,:), 10, 3, 19)
         call inspect_lo_diagram(diagrams(11,:), 11, 3, 19)
         call inspect_lo_diagram(diagrams(12,:), 12, 3, 19)
         call inspect_lo_diagram(diagrams(13,:), 13, 3, 19)
         call inspect_lo_diagram(diagrams(14,:), 14, 3, 19)
         call inspect_lo_diagram(diagrams(15,:), 15, 3, 19)
         call inspect_lo_diagram(diagrams(16,:), 16, 3, 19)
         call inspect_lo_diagram(diagrams(17,:), 17, 3, 19)
         call inspect_lo_diagram(diagrams(18,:), 18, 3, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module P5B_uux_ddx_diagramsh3l0
